=== modified file 'client/mysqlslap.c'
--- client/mysqlslap.c	2008-07-26 04:51:46 +0000
+++ client/mysqlslap.c	2008-07-28 19:08:55 +0000
@@ -830,7 +830,7 @@
     {
       if (num_int_cols_index)
       {
-        if (snprintf(buf, HUGE_STRING_LENGTH, "intcol%d INT(32), INDEX(intcol%d)",
+        if (snprintf(buf, HUGE_STRING_LENGTH, "intcol%d INT, INDEX(intcol%d)",
                      col_count, col_count) > HUGE_STRING_LENGTH)
         {
           fprintf(stderr, "Memory Allocation error in create table\n");
@@ -839,7 +839,7 @@
       }
       else
       {
-        if (snprintf(buf, HUGE_STRING_LENGTH, "intcol%d INT(32) ", col_count)
+        if (snprintf(buf, HUGE_STRING_LENGTH, "intcol%d INT ", col_count)
             > HUGE_STRING_LENGTH)
         {
           fprintf(stderr, "Memory Allocation error in create table\n");

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-07-28 18:01:38 +0000
+++ drizzled/sql_yacc.yy	2008-07-28 19:08:55 +0000
@@ -1804,7 +1804,11 @@
         ;
 
 type:
-          int_type opt_len field_options { $$=$1; }
+        int_type field_options 
+        { 
+          $$=$1; 
+          Lex->length=(char*) 0; /* use default length */
+        }
         | real_type opt_precision field_options { $$=$1; }
         | BIT_SYM
           {

=== modified file 'tests/r/alter_table.result'
--- tests/r/alter_table.result	2008-07-28 16:10:34 +0000
+++ tests/r/alter_table.result	2008-07-28 19:08:55 +0000
@@ -44,8 +44,8 @@
 8	12	NULL
 drop table t1;
 CREATE TABLE t1 (
-GROUP_ID int(10) unsigned DEFAULT '0' NOT NULL,
-LANG_ID smallint(5) unsigned DEFAULT '0' NOT NULL,
+GROUP_ID int unsigned DEFAULT '0' NOT NULL,
+LANG_ID smallint unsigned DEFAULT '0' NOT NULL,
 NAME varchar(80) DEFAULT '' NOT NULL,
 PRIMARY KEY (GROUP_ID,LANG_ID),
 KEY NAME (NAME));
@@ -67,17 +67,17 @@
 12
 drop table t1;
 CREATE TABLE t1 (
-id int(11) unsigned NOT NULL default '0',
-category_id tinyint(4) unsigned NOT NULL default '0',
-type_id tinyint(4) unsigned NOT NULL default '0',
+id int unsigned NOT NULL default '0',
+category_id tinyint unsigned NOT NULL default '0',
+type_id tinyint unsigned NOT NULL default '0',
 body text NOT NULL,
-user_id int(11) unsigned NOT NULL default '0',
+user_id int unsigned NOT NULL default '0',
 status enum('new','old') NOT NULL default 'new',
 PRIMARY KEY (id)
 ) ENGINE=MyISAM;
 ALTER TABLE t1 ORDER BY t1.id, t1.status, t1.type_id, t1.user_id, t1.body;
 DROP TABLE t1;
-CREATE TABLE t1 (AnamneseId int(10) unsigned NOT NULL auto_increment,B BLOB,PRIMARY KEY (AnamneseId)) engine=myisam;
+CREATE TABLE t1 (AnamneseId int unsigned NOT NULL auto_increment,B BLOB,PRIMARY KEY (AnamneseId)) engine=myisam;
 insert into t1 values (null,"hello");
 LOCK TABLES t1 WRITE;
 ALTER TABLE t1 ADD Column new_col int not null;
@@ -808,13 +808,13 @@
 alter table table_24562 order by no_such_col;
 ERROR 42S22: Unknown column 'no_such_col' in 'order clause'
 drop table table_24562;
-create table t1 (mycol int(10) not null);
+create table t1 (mycol int not null);
 alter table t1 alter column mycol set default 0;
 desc t1;
 Field	Type	Null	Key	Default	Extra
 mycol	int	NO		NULL	
 drop table t1;
-create table t1(id int(8) primary key auto_increment) engine=heap;
+create table t1(id int primary key auto_increment) engine=heap;
 insert into t1 values (null);
 insert into t1 values (null);
 select * from t1;

=== modified file 'tests/r/delete.result'
--- tests/r/delete.result	2008-07-20 09:02:20 +0000
+++ tests/r/delete.result	2008-07-28 19:08:55 +0000
@@ -1,5 +1,5 @@
 drop table if exists t1,t2,t3,t11,t12;
-CREATE TABLE t1 (a tinyint(3), b tinyint(5));
+CREATE TABLE t1 (a tinyint, b tinyint);
 INSERT INTO t1 VALUES (1,1);
 INSERT LOW_PRIORITY INTO t1 VALUES (1,2);
 INSERT INTO t1 VALUES (1,3);
@@ -47,8 +47,8 @@
 delete from t1 where a=27;
 drop table t1;
 CREATE TABLE `t1` (
-`i` int(10) NOT NULL default '0',
-`i2` int(10) NOT NULL default '0',
+`i` int NOT NULL default '0',
+`i2` int NOT NULL default '0',
 PRIMARY KEY  (`i`)
 );
 DELETE FROM t1 USING t1 WHERE post='1';
@@ -185,7 +185,7 @@
 CREATE TABLE t1 (
 `date` date ,
 `time` time ,
-`seq` int(10) unsigned NOT NULL auto_increment,
+`seq` int unsigned NOT NULL auto_increment,
 PRIMARY KEY  (`seq`),
 KEY `seq` (`seq`),
 KEY `time` (`time`),

=== modified file 'tests/r/distinct.result'
--- tests/r/distinct.result	2008-07-20 09:02:20 +0000
+++ tests/r/distinct.result	2008-07-28 19:08:55 +0000
@@ -148,7 +148,7 @@
 count(*)
 12
 drop table t1,t2;
-CREATE TABLE t1 (UserId int(11) DEFAULT '0' NOT NULL);
+CREATE TABLE t1 (UserId int DEFAULT '0' NOT NULL);
 INSERT INTO t1 VALUES (20);
 INSERT INTO t1 VALUES (27);
 SELECT UserId FROM t1 WHERE Userid=22;
@@ -160,11 +160,11 @@
 SELECT DISTINCT UserId FROM t1 WHERE UserId=22;
 UserId
 drop table t1;
-CREATE TABLE t1 (a int(10) unsigned not null primary key,b int(10) unsigned);
+CREATE TABLE t1 (a int unsigned not null primary key,b int unsigned);
 INSERT INTO t1 VALUES (1,1),(2,1),(3,1),(4,1);
-CREATE TABLE t2 (a int(10) unsigned not null, key (A));
+CREATE TABLE t2 (a int unsigned not null, key (A));
 INSERT INTO t2 VALUES (1),(2);
-CREATE TABLE t3 (a int(10) unsigned, key(A), b text);
+CREATE TABLE t3 (a int unsigned, key(A), b text);
 INSERT INTO t3 VALUES (1,'1'),(2,'2');
 SELECT DISTINCT t3.b FROM t3,t2,t1 WHERE t3.a=t1.b AND t1.a=t2.a;
 b
@@ -238,16 +238,16 @@
 1
 drop table t1;
 CREATE TABLE t1 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 NAME varchar(75) DEFAULT '' NOT NULL,
-LINK_ID int(11) DEFAULT '0' NOT NULL,
+LINK_ID int DEFAULT '0' NOT NULL,
 PRIMARY KEY (ID),
 KEY NAME (NAME),
 KEY LINK_ID (LINK_ID)
 );
 INSERT INTO t1 (ID, NAME, LINK_ID) VALUES (1,'Mike',0),(2,'Jack',0),(3,'Bill',0);
 CREATE TABLE t2 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 NAME varchar(150) DEFAULT '' NOT NULL,
 PRIMARY KEY (ID),
 KEY NAME (NAME)
@@ -402,9 +402,9 @@
 test2@testdomain.com	R002
 test3@testdomain.com	Z001
 drop table t1,t2;
-CREATE TABLE t1 (privatemessageid int(10) unsigned NOT NULL auto_increment,  folderid smallint(6) NOT NULL default '0',  userid int(10) unsigned NOT NULL default '0',  touserid int(10) unsigned NOT NULL default '0',  fromuserid int(10) unsigned NOT NULL default '0',  title varchar(250) NOT NULL default '',  message mediumtext NOT NULL,  dateline int(10) unsigned NOT NULL default '0',  showsignature smallint(6) NOT NULL default '0',  iconid smallint(5) unsigned NOT NULL default '0',  messageread smallint(6) NOT NULL default '0',  readtime int(10) unsigned NOT NULL default '0',  receipt smallint(6) unsigned NOT NULL default '0',  deleteprompt smallint(6) unsigned NOT NULL default '0',  multiplerecipients smallint(6) unsigned NOT NULL default '0',  PRIMARY KEY  (privatemessageid),  KEY userid (userid)) ENGINE=MyISAM;
+CREATE TABLE t1 (privatemessageid int unsigned NOT NULL auto_increment,  folderid smallint NOT NULL default '0',  userid int unsigned NOT NULL default '0',  touserid int unsigned NOT NULL default '0',  fromuserid int unsigned NOT NULL default '0',  title varchar(250) NOT NULL default '',  message mediumtext NOT NULL,  dateline int unsigned NOT NULL default '0',  showsignature smallint NOT NULL default '0',  iconid smallint unsigned NOT NULL default '0',  messageread smallint NOT NULL default '0',  readtime int unsigned NOT NULL default '0',  receipt smallint unsigned NOT NULL default '0',  deleteprompt smallint unsigned NOT NULL default '0',  multiplerecipients smallint unsigned NOT NULL default '0',  PRIMARY KEY  (privatemessageid),  KEY userid (userid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (128,0,33,33,8,':D','',996121863,1,0,2,996122850,2,0,0);
-CREATE TABLE t2 (userid int(10) unsigned NOT NULL auto_increment,  usergroupid smallint(5) unsigned NOT NULL default '0',  username varchar(50) NOT NULL default '',  password varchar(50) NOT NULL default '',  email varchar(50) NOT NULL default '',  styleid smallint(5) unsigned NOT NULL default '0',  parentemail varchar(50) NOT NULL default '',  coppauser smallint(6) NOT NULL default '0',  homepage varchar(100) NOT NULL default '',  icq varchar(20) NOT NULL default '',  aim varchar(20) NOT NULL default '',  yahoo varchar(20) NOT NULL default '',  signature mediumtext NOT NULL,  adminemail smallint(6) NOT NULL default '0',  showemail smallint(6) NOT NULL default '0',  invisible smallint(6) NOT NULL default '0',  usertitle varchar(250) NOT NULL default '',  customtitle smallint(6) NOT NULL default '0',  joindate int(10) unsigned NOT NULL default '0',  cookieuser smallint(6) NOT NULL default '0',  daysprune smallint(6) NOT NULL default '0',  lastvisit int(10) unsigned NOT NULL default '0',  lastactivity int(10) unsigned NOT NULL default '0',  lastpost int(10) unsigned NOT NULL default '0',  posts smallint(5) unsigned NOT NULL default '0',  timezoneoffset varchar(4) NOT NULL default '',  emailnotification smallint(6) NOT NULL default '0',  buddylist mediumtext NOT NULL,  ignorelist mediumtext NOT NULL,  pmfolders mediumtext NOT NULL,  receivepm smallint(6) NOT NULL default '0',  emailonpm smallint(6) NOT NULL default '0',  pmpopup smallint(6) NOT NULL default '0',  avatarid smallint(6) NOT NULL default '0',  avatarrevision int(6) unsigned NOT NULL default '0',  options smallint(6) NOT NULL default '15',  birthday date NOT NULL default '0000-00-00',  maxposts smallint(6) NOT NULL default '-1',  startofweek smallint(6) NOT NULL default '1',  ipaddress varchar(20) NOT NULL default '',  referrerid int(10) unsigned NOT NULL default '0',  nosessionhash smallint(6) NOT NULL default '0',  autorefresh smallint(6) NOT NULL default '-1',  messagepopup tinyint(2) NOT NULL default '0',  inforum smallint(5) unsigned NOT NULL default '0',  ratenum smallint(5) unsigned NOT NULL default '0',  ratetotal smallint(5) unsigned NOT NULL default '0',  allowrate smallint(5) unsigned NOT NULL default '1',  PRIMARY KEY  (userid),  KEY usergroupid (usergroupid),  KEY username (username),  KEY inforum (inforum)) ENGINE=MyISAM;
+CREATE TABLE t2 (userid int unsigned NOT NULL auto_increment,  usergroupid smallint unsigned NOT NULL default '0',  username varchar(50) NOT NULL default '',  password varchar(50) NOT NULL default '',  email varchar(50) NOT NULL default '',  styleid smallint unsigned NOT NULL default '0',  parentemail varchar(50) NOT NULL default '',  coppauser smallint NOT NULL default '0',  homepage varchar(100) NOT NULL default '',  icq varchar(20) NOT NULL default '',  aim varchar(20) NOT NULL default '',  yahoo varchar(20) NOT NULL default '',  signature mediumtext NOT NULL,  adminemail smallint NOT NULL default '0',  showemail smallint NOT NULL default '0',  invisible smallint NOT NULL default '0',  usertitle varchar(250) NOT NULL default '',  customtitle smallint NOT NULL default '0',  joindate int unsigned NOT NULL default '0',  cookieuser smallint NOT NULL default '0',  daysprune smallint NOT NULL default '0',  lastvisit int unsigned NOT NULL default '0',  lastactivity int unsigned NOT NULL default '0',  lastpost int unsigned NOT NULL default '0',  posts smallint unsigned NOT NULL default '0',  timezoneoffset varchar(4) NOT NULL default '',  emailnotification smallint NOT NULL default '0',  buddylist mediumtext NOT NULL,  ignorelist mediumtext NOT NULL,  pmfolders mediumtext NOT NULL,  receivepm smallint NOT NULL default '0',  emailonpm smallint NOT NULL default '0',  pmpopup smallint NOT NULL default '0',  avatarid smallint NOT NULL default '0',  avatarrevision int unsigned NOT NULL default '0',  options smallint NOT NULL default '15',  birthday date NOT NULL default '0000-00-00',  maxposts smallint NOT NULL default '-1',  startofweek smallint NOT NULL default '1',  ipaddress varchar(20) NOT NULL default '',  referrerid int unsigned NOT NULL default '0',  nosessionhash smallint NOT NULL default '0',  autorefresh smallint NOT NULL default '-1',  messagepopup tinyint NOT NULL default '0',  inforum smallint unsigned NOT NULL default '0',  ratenum smallint unsigned NOT NULL default '0',  ratetotal smallint unsigned NOT NULL default '0',  allowrate smallint unsigned NOT NULL default '1',  PRIMARY KEY  (userid),  KEY usergroupid (usergroupid),  KEY username (username),  KEY inforum (inforum)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (33,6,'Kevin','0','kevin@stileproject.com',1,'',0,'http://www.stileproject.com','','','','',1,1,0,'Administrator',0,996120694,1,-1,1030996168,1031027028,1030599436,36,'-6',0,'','','',1,0,1,0,0,15,'0000-00-00',-1,1,'64.0.0.0',0,1,-1,0,0,4,19,1);
 SELECT DISTINCT t1.*, t2.* FROM t1 LEFT JOIN t2 ON (t2.userid = t1.touserid);
 privatemessageid	folderid	userid	touserid	fromuserid	title	message	dateline	showsignature	iconid	messageread	readtime	receipt	deleteprompt	multiplerecipients	userid	usergroupid	username	password	email	styleid	parentemail	coppauser	homepage	icq	aim	yahoo	signature	adminemail	showemail	invisible	usertitle	customtitle	joindate	cookieuser	daysprune	lastvisit	lastactivity	lastpost	posts	timezoneoffset	emailnotification	buddylist	ignorelist	pmfolders	receivepm	emailonpm	pmpopup	avatarid	avatarrevision	options	birthday	maxposts	startofweek	ipaddress	referrerid	nosessionhash	autorefresh	messagepopup	inforum	ratenum	ratetotal	allowrate
@@ -418,7 +418,7 @@
 a	b
 1	4
 DROP TABLE t1,t2;
-CREATE table t1 (  `id` int(11) NOT NULL auto_increment,  `name` varchar(50) NOT NULL default '',  PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
+CREATE table t1 (  `id` int NOT NULL auto_increment,  `name` varchar(50) NOT NULL default '',  PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
 INSERT INTO t1 VALUES (1, 'aaaaa');
 INSERT INTO t1 VALUES (3, 'aaaaa');
 INSERT INTO t1 VALUES (2, 'eeeeeee');
@@ -428,9 +428,9 @@
 e
 drop  table t1;
 CREATE TABLE t1 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 NAME varchar(75) DEFAULT '' NOT NULL,
-LINK_ID int(11) DEFAULT '0' NOT NULL,
+LINK_ID int DEFAULT '0' NOT NULL,
 PRIMARY KEY (ID),
 KEY NAME (NAME),
 KEY LINK_ID (LINK_ID)
@@ -439,7 +439,7 @@
 INSERT INTO t1 (ID, NAME, LINK_ID) VALUES (2,'Jack',0);
 INSERT INTO t1 (ID, NAME, LINK_ID) VALUES (3,'Bill',0);
 CREATE TABLE t2 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 NAME varchar(150) DEFAULT '' NOT NULL,
 PRIMARY KEY (ID),
 KEY NAME (NAME)
@@ -456,8 +456,8 @@
 drop table t1,t2;
 CREATE TABLE t1 (
 html varchar(5) default NULL,
-rin int(11) default '0',
-rout int(11) default '0'
+rin int default '0',
+rout int default '0'
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES ('1',1,0);
 SELECT DISTINCT html,SUM(rout)/(SUM(rin)+1) as 'prod' FROM t1 GROUP BY rin;
@@ -576,7 +576,7 @@
 2	3
 DROP TABLE t1;
 CREATE TABLE t1 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 x varchar(20) default NULL,
 y decimal(10,0) default NULL,
 PRIMARY KEY  (ID),

=== modified file 'tests/r/information_schema.result'
--- tests/r/information_schema.result	2008-07-28 16:10:34 +0000
+++ tests/r/information_schema.result	2008-07-28 19:08:55 +0000
@@ -377,8 +377,8 @@
 FROM information_schema.tables);
 table_name
 TABLE_CONSTRAINTS
-create table t1 (f1 int(11));
-create table t2 (f1 int(11), f2 int(11));
+create table t1 (f1 int);
+create table t2 (f1 int, f2 int);
 select table_name from information_schema.tables
 where table_schema = 'test' and table_name not in
 (select table_name from information_schema.columns

=== modified file 'tests/r/join.result'
--- tests/r/join.result	2008-07-20 09:02:20 +0000
+++ tests/r/join.result	2008-07-28 19:08:55 +0000
@@ -69,10 +69,10 @@
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	Impossible WHERE noticed after reading const tables
 drop table t1,t2;
 CREATE TABLE t1 (
-id int(11) NOT NULL auto_increment,
+id int NOT NULL auto_increment,
 token varchar(100) DEFAULT '' NOT NULL,
-count int(11) DEFAULT '0' NOT NULL,
-qty int(11),
+count int DEFAULT '0' NOT NULL,
+qty int,
 phone char(1) DEFAULT '' NOT NULL,
 timestamp datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
 PRIMARY KEY (id),
@@ -92,12 +92,12 @@
 INSERT INTO t1 VALUES (28,'a71250b7ed780f6ef3185bfffe027983',3,5400,'y','1999-12-27 09:44:36');
 INSERT INTO t1 VALUES (29,'a71250b7ed780f6ef3185bfffe027983',4,17700,'b','1999-12-27 09:45:05');
 CREATE TABLE t2 (
-id int(11) NOT NULL auto_increment,
-category int(11) DEFAULT '0' NOT NULL,
-county int(11) DEFAULT '0' NOT NULL,
-state int(11) DEFAULT '0' NOT NULL,
-phones int(11) DEFAULT '0' NOT NULL,
-nophones int(11) DEFAULT '0' NOT NULL,
+id int NOT NULL auto_increment,
+category int DEFAULT '0' NOT NULL,
+county int DEFAULT '0' NOT NULL,
+state int DEFAULT '0' NOT NULL,
+phones int DEFAULT '0' NOT NULL,
+nophones int DEFAULT '0' NOT NULL,
 PRIMARY KEY (id),
 KEY category (category,county,state)
 );
@@ -135,13 +135,13 @@
 ERROR HY000: Too many tables; MySQL can only use XX tables in a join
 drop table t1;
 CREATE TABLE t1 (
-a int(11) NOT NULL,
-b int(11) NOT NULL,
+a int NOT NULL,
+b int NOT NULL,
 PRIMARY KEY  (a,b)
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(2,3);
 CREATE TABLE t2 (
-a int(11) default NULL
+a int default NULL
 ) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2),(3);
 SELECT t1.a,t2.a,b FROM t1,t2 WHERE t1.a=t2.a AND (t1.a=1 OR t1.a=2) AND b>=1 AND b<=3;
@@ -182,7 +182,7 @@
 Language_ID char(3) NOT NULL default '',
 Document_ID char(50) NOT NULL default '',
 CanRead char(1) default NULL,
-Customer_ID int(11) NOT NULL default '0',
+Customer_ID int NOT NULL default '0',
 PRIMARY KEY  (Contractor_ID,Language_ID,Document_ID,Customer_ID)
 );
 INSERT INTO t2 VALUES ('5','ger','xep80','1',999999),('1','ger','xep80','1',999999);
@@ -237,18 +237,18 @@
 1
 drop table t1,t2,t3;
 CREATE TABLE t1 (
-t1_id int(11) default NULL,
-t2_id int(11) default NULL,
+t1_id int default NULL,
+t2_id int default NULL,
 type enum('Cost','Percent') default NULL,
 cost_unit enum('Cost','Unit') default NULL,
 min_value double default NULL,
 max_value double default NULL,
-t3_id int(11) default NULL,
-item_id int(11) default NULL
+t3_id int default NULL,
+item_id int default NULL
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (12,5,'Percent','Cost',-1,0,-1,-1),(14,4,'Percent','Cost',-1,0,-1,-1),(18,5,'Percent','Cost',-1,0,-1,-1),(19,4,'Percent','Cost',-1,0,-1,-1),(20,5,'Percent','Cost',100,-1,22,291),(21,5,'Percent','Cost',100,-1,18,291),(22,1,'Percent','Cost',100,-1,6,291),(23,1,'Percent','Cost',100,-1,21,291),(24,1,'Percent','Cost',100,-1,9,291),(25,1,'Percent','Cost',100,-1,4,291),(26,1,'Percent','Cost',100,-1,20,291),(27,4,'Percent','Cost',100,-1,7,202),(28,1,'Percent','Cost',50,-1,-1,137),(29,2,'Percent','Cost',100,-1,4,354),(30,2,'Percent','Cost',100,-1,9,137),(93,2,'Cost','Cost',-1,10000000,-1,-1);
 CREATE TABLE t2 (
-id int(10) unsigned NOT NULL auto_increment,
+id int unsigned NOT NULL auto_increment,
 name varchar(255) default NULL,
 PRIMARY KEY  (id)
 ) ENGINE=MyISAM;

=== modified file 'tests/r/join_crash.result'
--- tests/r/join_crash.result	2008-06-25 05:29:13 +0000
+++ tests/r/join_crash.result	2008-07-28 19:08:55 +0000
@@ -1,12 +1,12 @@
 DROP TABLE IF EXISTS t1,t2,t3,t4;
 CREATE TABLE t1 (
-project_id int(11) NOT NULL auto_increment,
-project_row_lock int(11) NOT NULL default '0',
+project_id int NOT NULL auto_increment,
+project_row_lock int NOT NULL default '0',
 project_name varchar(80) NOT NULL default '',
-client_ptr int(11) NOT NULL default '0',
-project_contact_ptr int(11) default NULL,
-client_contact_ptr int(11) default NULL,
-billing_contact_ptr int(11) default NULL,
+client_ptr int NOT NULL default '0',
+project_contact_ptr int default NULL,
+client_contact_ptr int default NULL,
+billing_contact_ptr int default NULL,
 comments mediumtext,
 PRIMARY KEY  (project_id),
 UNIQUE KEY project (client_ptr,project_name)
@@ -22,12 +22,12 @@
 INSERT INTO t1 VALUES (202,0,'EPOC Port',92,NULL,NULL,NULL,'');
 INSERT INTO t1 VALUES (201,0,'TravelMate',88,NULL,NULL,NULL,'');
 CREATE TABLE t2 (
-period_id int(11) NOT NULL auto_increment,
+period_id int NOT NULL auto_increment,
 period_type enum('user_table','client_table','role_table','member_table','project_table') default NULL,
-period_key int(11) default NULL,
+period_key int default NULL,
 start_date datetime default NULL,
 end_date datetime default NULL,
-work_load int(11) default NULL,
+work_load int default NULL,
 PRIMARY KEY  (period_id),
 KEY period_index (period_type,period_key),
 KEY date_index (start_date,end_date)
@@ -48,8 +48,8 @@
 INSERT INTO t2 VALUES (161,'member_table',2,'2000-01-01 00:00:00',NULL,1);
 INSERT INTO t2 VALUES (162,'member_table',3,'2000-01-01 00:00:00',NULL,1);
 CREATE TABLE t3 (
-budget_id int(11) NOT NULL auto_increment,
-project_ptr int(11) NOT NULL default '0',
+budget_id int NOT NULL auto_increment,
+project_ptr int NOT NULL default '0',
 po_number varchar(20) NOT NULL default '',
 status enum('open','closed') default NULL,
 date_received datetime default NULL,
@@ -59,10 +59,10 @@
 UNIQUE KEY po (project_ptr,po_number)
 ) ENGINE=MyISAM PACK_KEYS=1;
 CREATE TABLE t4 (
-client_id int(11) NOT NULL auto_increment,
-client_row_lock int(11) NOT NULL default '0',
+client_id int NOT NULL auto_increment,
+client_row_lock int NOT NULL default '0',
 client_name varchar(80) NOT NULL default '',
-contact_ptr int(11) default NULL,
+contact_ptr int default NULL,
 comments mediumtext,
 PRIMARY KEY  (client_id),
 UNIQUE KEY client_name (client_name)

=== modified file 'tests/r/join_nested.result'
--- tests/r/join_nested.result	2008-07-20 09:02:20 +0000
+++ tests/r/join_nested.result	2008-07-28 19:08:55 +0000
@@ -1470,7 +1470,7 @@
 (231063394),(231063424),(231063454),(231063514),(231063574),(231063664);
 CREATE TABLE t4 (
 carrier char(2) NOT NULL default '' PRIMARY KEY,
-id int(11) default NULL,
+id int default NULL,
 INDEX id(id)
 );
 INSERT INTO t4 VALUES

=== modified file 'tests/r/join_outer.result'
--- tests/r/join_outer.result	2008-07-20 09:02:20 +0000
+++ tests/r/join_outer.result	2008-07-28 19:08:55 +0000
@@ -1,7 +1,7 @@
 drop table if exists t0,t1,t2,t3,t4,t5;
 CREATE TABLE t1 (
-grp int(11) default NULL,
-a bigint(20) unsigned default NULL,
+grp int default NULL,
+a bigint unsigned default NULL,
 c char(10) NOT NULL default ''
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1,1,'a'),(2,2,'b'),(2,3,'c'),(3,4,'E'),(3,5,'C'),(3,6,'D'),(NULL,NULL,'');
@@ -182,15 +182,15 @@
 3	4	84676	NULL	NULL	NULL
 drop table t1,t2;
 CREATE TABLE t1 (
-cod_asig int(11) DEFAULT '0' NOT NULL,
+cod_asig int DEFAULT '0' NOT NULL,
 desc_larga_cat varchar(80) DEFAULT '' NOT NULL,
 desc_larga_cas varchar(80) DEFAULT '' NOT NULL,
 desc_corta_cat varchar(40) DEFAULT '' NOT NULL,
 desc_corta_cas varchar(40) DEFAULT '' NOT NULL,
 cred_total double(3,1) DEFAULT '0.0' NOT NULL,
-pre_requisit int(11),
-co_requisit int(11),
-preco_requisit int(11),
+pre_requisit int,
+co_requisit int,
+preco_requisit int,
 PRIMARY KEY (cod_asig)
 );
 INSERT INTO t1 VALUES (10360,'asdfggfg','Introduccion a los  Ordenadores I','asdfggfg','Introduccio Ordinadors I',6.0,NULL,NULL,NULL);
@@ -202,10 +202,10 @@
 INSERT INTO t1 VALUES (11405,'+lgebra lineal','Algebra lineal','+lgebra lineal','+lgebra lineal',18.0,NULL,NULL,NULL);
 INSERT INTO t1 VALUES (11406,'Calcul Infinitesimal','Cßlculo Infinitesimal','Calcul Infinitesimal','Calcul Infinitesimal',15.0,NULL,NULL,NULL);
 CREATE TABLE t2 (
-idAssignatura int(11) DEFAULT '0' NOT NULL,
-Grup int(11) DEFAULT '0' NOT NULL,
-Places smallint(6) DEFAULT '0' NOT NULL,
-PlacesOcupades int(11) DEFAULT '0',
+idAssignatura int DEFAULT '0' NOT NULL,
+Grup int DEFAULT '0' NOT NULL,
+Places smallint DEFAULT '0' NOT NULL,
+PlacesOcupades int DEFAULT '0',
 PRIMARY KEY (idAssignatura,Grup)
 );
 INSERT INTO t2 VALUES (10360,12,333,0);
@@ -234,12 +234,12 @@
 INSERT INTO t2 VALUES (11416,11416,32767,0);
 INSERT INTO t2 VALUES (11409,0,0,0);
 CREATE TABLE t3 (
-id int(11) NOT NULL auto_increment,
+id int NOT NULL auto_increment,
 dni_pasaporte char(16) DEFAULT '' NOT NULL,
-idPla int(11) DEFAULT '0' NOT NULL,
-cod_asig int(11) DEFAULT '0' NOT NULL,
-any smallint(6) DEFAULT '0' NOT NULL,
-quatrimestre smallint(6) DEFAULT '0' NOT NULL,
+idPla int DEFAULT '0' NOT NULL,
+cod_asig int DEFAULT '0' NOT NULL,
+any smallint DEFAULT '0' NOT NULL,
+quatrimestre smallint DEFAULT '0' NOT NULL,
 estat char(1) DEFAULT 'M' NOT NULL,
 PRIMARY KEY (id),
 UNIQUE dni_pasaporte (dni_pasaporte,idPla),
@@ -247,10 +247,10 @@
 );
 INSERT INTO t3 VALUES (1,'11111111',1,10362,98,1,'M');
 CREATE TABLE t4 (
-id int(11) NOT NULL auto_increment,
-papa int(11) DEFAULT '0' NOT NULL,
-fill int(11) DEFAULT '0' NOT NULL,
-idPla int(11) DEFAULT '0' NOT NULL,
+id int NOT NULL auto_increment,
+papa int DEFAULT '0' NOT NULL,
+fill int DEFAULT '0' NOT NULL,
+idPla int DEFAULT '0' NOT NULL,
 PRIMARY KEY (id),
 KEY papa (idPla,papa),
 UNIQUE papa_2 (idPla,papa,fill)
@@ -284,7 +284,7 @@
 10362	NULL
 drop table t1,t2,t3,test.t4;
 CREATE TABLE t1 (
-id smallint(5) unsigned NOT NULL auto_increment,
+id smallint unsigned NOT NULL auto_increment,
 name char(60) DEFAULT '' NOT NULL,
 PRIMARY KEY (id)
 );
@@ -292,8 +292,8 @@
 INSERT INTO t1 VALUES (2,'Lilliana Angelovska');
 INSERT INTO t1 VALUES (3,'Thimble Smith');
 CREATE TABLE t2 (
-id smallint(5) unsigned NOT NULL auto_increment,
-owner smallint(5) unsigned DEFAULT '0' NOT NULL,
+id smallint unsigned NOT NULL auto_increment,
+owner smallint unsigned DEFAULT '0' NOT NULL,
 name char(60),
 PRIMARY KEY (id)
 );
@@ -371,26 +371,26 @@
 2	NULL
 drop table t1;
 CREATE TABLE t1 (
-t1_id bigint(21) NOT NULL auto_increment,
+t1_id bigint NOT NULL auto_increment,
 PRIMARY KEY (t1_id)
 );
 CREATE TABLE t2 (
-t2_id bigint(21) NOT NULL auto_increment,
+t2_id bigint NOT NULL auto_increment,
 PRIMARY KEY (t2_id)
 );
 CREATE TABLE t3 (
-t3_id bigint(21) NOT NULL auto_increment,
+t3_id bigint NOT NULL auto_increment,
 PRIMARY KEY (t3_id)
 );
 CREATE TABLE t4 (
-seq_0_id bigint(21) DEFAULT '0' NOT NULL,
-seq_1_id bigint(21) DEFAULT '0' NOT NULL,
+seq_0_id bigint DEFAULT '0' NOT NULL,
+seq_1_id bigint DEFAULT '0' NOT NULL,
 KEY seq_0_id (seq_0_id),
 KEY seq_1_id (seq_1_id)
 );
 CREATE TABLE t5 (
-seq_0_id bigint(21) DEFAULT '0' NOT NULL,
-seq_1_id bigint(21) DEFAULT '0' NOT NULL,
+seq_0_id bigint DEFAULT '0' NOT NULL,
+seq_1_id bigint DEFAULT '0' NOT NULL,
 KEY seq_1_id (seq_1_id),
 KEY seq_0_id (seq_0_id)
 );
@@ -575,9 +575,9 @@
 kvw6000	2
 drop table t1,t2;
 CREATE TABLE t1 (
-id int(11),
-pid int(11),
-rep_del tinyint(4),
+id int,
+pid int,
+rep_del tinyint,
 KEY id (id),
 KEY pid (pid)
 );
@@ -594,7 +594,7 @@
 2	1	NULL	NULL	NULL	NULL
 drop table t1;
 CREATE TABLE t1 (
-id int(11) DEFAULT '0' NOT NULL,
+id int DEFAULT '0' NOT NULL,
 name tinytext DEFAULT '' NOT NULL,
 UNIQUE id (id)
 );
@@ -602,8 +602,8 @@
 Warning	1101	BLOB/TEXT column 'name' can't have a default value
 INSERT INTO t1 VALUES (1,'yes'),(2,'no');
 CREATE TABLE t2 (
-id int(11) DEFAULT '0' NOT NULL,
-idx int(11) DEFAULT '0' NOT NULL,
+id int DEFAULT '0' NOT NULL,
+idx int DEFAULT '0' NOT NULL,
 UNIQUE id (id,idx)
 );
 INSERT INTO t2 VALUES (1,1);
@@ -692,7 +692,7 @@
 1	SIMPLE	t3	ALL	NULL	NULL	NULL	NULL	2	
 drop table t1, t2, t3;
 create table t1 (
-a int(11),
+a int,
 b char(10),
 key (a)
 );
@@ -712,15 +712,15 @@
 4	NULL	NULL
 drop table t1,t2;
 create table t1 (
-match_id tinyint(3) unsigned not null auto_increment,
-home tinyint(3) unsigned default '0',
+match_id tinyint unsigned not null auto_increment,
+home tinyint unsigned default '0',
 unique key match_id (match_id),
 key match_id_2 (match_id)
 );
 insert into t1 values("1", "2");
 create table t2 (
-player_id tinyint(3) unsigned default '0',
-match_1_h tinyint(3) unsigned default '0',
+player_id tinyint unsigned default '0',
+match_1_h tinyint unsigned default '0',
 key player_id (player_id)
 );
 insert into t2 values("1", "5");
@@ -791,15 +791,15 @@
 1	11	NULL
 drop table t1, t2;
 CREATE TABLE t1 (
-ts_id bigint(20) default NULL,
-inst_id tinyint(4) default NULL,
+ts_id bigint default NULL,
+inst_id tinyint default NULL,
 flag_name varchar(64) default NULL,
 flag_value text,
 UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
 ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 CREATE TABLE t2 (
-ts_id bigint(20) default NULL,
-inst_id tinyint(4) default NULL,
+ts_id bigint default NULL,
+inst_id tinyint default NULL,
 flag_name varchar(64) default NULL,
 flag_value text,
 UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
@@ -820,8 +820,8 @@
 flag2	NULL
 DROP TABLE t1,t2;
 CREATE TABLE t1 (
-id int(11) unsigned NOT NULL auto_increment,
-text_id int(10) unsigned default NULL,
+id int unsigned NOT NULL auto_increment,
+text_id int unsigned default NULL,
 PRIMARY KEY  (id)
 );
 INSERT INTO t1 VALUES("1", "0");
@@ -963,11 +963,11 @@
 Warning	1260	2 line(s) were cut by GROUP_CONCAT()
 drop table t1, t2;
 set group_concat_max_len=default;
-create table t1 (gid smallint(5) unsigned not null, x int(11) not null, y int(11) not null, art int(11) not null, primary key  (gid,x,y));
+create table t1 (gid smallint unsigned not null, x int not null, y int not null, art int not null, primary key  (gid,x,y));
 insert t1 values (1, -5, -8, 2), (1, 2, 2, 1), (1, 1, 1, 1);
-create table t2 (gid smallint(5) unsigned not null, x int(11) not null, y int(11) not null, id int(11) not null, primary key  (gid,id,x,y), key id (id));
+create table t2 (gid smallint unsigned not null, x int not null, y int not null, id int not null, primary key  (gid,id,x,y), key id (id));
 insert t2 values (1, -5, -8, 1), (1, 1, 1, 1), (1, 2, 2, 1);
-create table t3 ( set_id smallint(5) unsigned not null, id tinyint(4) unsigned not null, name char(12) not null, primary key  (id,set_id));
+create table t3 ( set_id smallint unsigned not null, id tinyint unsigned not null, name char(12) not null, primary key  (id,set_id));
 insert t3 values (0, 1, 'a'), (1, 1, 'b'), (0, 2, 'c'), (1, 2, 'd'), (1, 3, 'e'), (1, 4, 'f'), (1, 5, 'g'), (1, 6, 'h');
 explain select name from t1 left join t2 on t1.x = t2.x and t1.y = t2.y
 left join t3 on t1.art = t3.id where t2.id =1 and t2.x = -5 and t2.y =-8

=== modified file 'tests/r/join_outer_innodb.result'
--- tests/r/join_outer_innodb.result	2008-06-25 05:29:13 +0000
+++ tests/r/join_outer_innodb.result	2008-07-28 19:08:55 +0000
@@ -1,6 +1,6 @@
-CREATE TABLE t1 (id int(11) NOT NULL PRIMARY KEY, name varchar(20),
+CREATE TABLE t1 (id int NOT NULL PRIMARY KEY, name varchar(20),
 INDEX (name)) ENGINE=InnoDB;
-CREATE TABLE t2 (id int(11) NOT NULL PRIMARY KEY, fkey int(11),
+CREATE TABLE t2 (id int NOT NULL PRIMARY KEY, fkey int,
 FOREIGN KEY (fkey) REFERENCES t2(id)) ENGINE=InnoDB;
 INSERT INTO t1 VALUES (1,'A1'),(2,'A2'),(3,'B');
 INSERT INTO t2 VALUES (1,1),(2,2),(3,2),(4,3),(5,3);

=== modified file 'tests/r/lock.result'
--- tests/r/lock.result	2008-07-07 16:07:49 +0000
+++ tests/r/lock.result	2008-07-28 19:08:55 +0000
@@ -1,5 +1,5 @@
 drop table if exists t1,t2;
-CREATE TABLE t1 (  `id` int(11) NOT NULL default '0', `id2` int(11) NOT NULL default '0', `id3` int(11) NOT NULL default '0', `dummy1` char(30) default NULL, PRIMARY KEY  (`id`,`id2`), KEY `index_id3` (`id3`)) ENGINE=MyISAM;
+CREATE TABLE t1 (  `id` int NOT NULL default '0', `id2` int NOT NULL default '0', `id3` int NOT NULL default '0', `dummy1` char(30) default NULL, PRIMARY KEY  (`id`,`id2`), KEY `index_id3` (`id3`)) ENGINE=MyISAM;
 insert into t1 (id,id2) values (1,1),(1,2),(1,3);
 LOCK TABLE t1 WRITE;
 select dummy1,count(distinct id) from t1 group by dummy1;
@@ -20,12 +20,12 @@
 update t1 set id=1 where id=-1;
 drop table t1,t2;
 CREATE TABLE t1 (
-index1 smallint(6) default NULL,
-nr smallint(6) default NULL,
+index1 smallint default NULL,
+nr smallint default NULL,
 KEY index1(index1)
 ) ENGINE=MyISAM;
 CREATE TABLE t2 (
-nr smallint(6) default NULL,
+nr smallint default NULL,
 name varchar(20) default NULL
 ) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,'item1');
@@ -62,8 +62,8 @@
 lock tables t1 write, t2 write, t3 write, t1 as t4 read;
 alter table t2 add column c2 int;
 drop table t1, t2, t3;
-create table t1 ( a int(11) not null auto_increment, primary key(a));
-create table t2 ( a int(11) not null auto_increment, primary key(a));
+create table t1 ( a int not null auto_increment, primary key(a));
+create table t2 ( a int not null auto_increment, primary key(a));
 lock tables t1 write, t2 read;
 delete from t1 using t1,t2 where t1.a=t2.a;
 delete t1 from t1,t2 where t1.a=t2.a;

=== modified file 'tests/r/select.result'
--- tests/r/select.result	2008-07-28 16:10:34 +0000
+++ tests/r/select.result	2008-07-28 19:08:55 +0000
@@ -1,8 +1,8 @@
 drop table if exists t1,t2,t3,t4,t11;
 drop table if exists t1_1,t1_2,t9_1,t9_2,t1aa,t2aa;
 CREATE TABLE t1 (
-Period smallint(4) unsigned DEFAULT '0' NOT NULL,
-Varor_period smallint(4) unsigned DEFAULT '0' NOT NULL
+Period smallint unsigned DEFAULT '0' NOT NULL,
+Varor_period smallint unsigned DEFAULT '0' NOT NULL
 );
 INSERT INTO t1 VALUES (9410,9412);
 select period from t1;
@@ -16,8 +16,8 @@
 9410	9412
 CREATE TABLE t2 (
 auto int not null auto_increment,
-fld1 int(6) unsigned DEFAULT '0' NOT NULL,
-companynr tinyint(2) unsigned DEFAULT '0' NOT NULL,
+fld1 int unsigned DEFAULT '0' NOT NULL,
+companynr tinyint unsigned DEFAULT '0' NOT NULL,
 fld3 char(30) DEFAULT '' NOT NULL,
 fld4 char(35) DEFAULT '' NOT NULL,
 fld5 char(35) DEFAULT '' NOT NULL,
@@ -1237,7 +1237,7 @@
 18801	inch	1001	5987435	234724
 18811	repetitions	1001	5987435	234724
 create table t4 (
-companynr tinyint(2) unsigned NOT NULL default '0',
+companynr tinyint unsigned NOT NULL default '0',
 companyname char(30) NOT NULL default '',
 PRIMARY KEY (companynr),
 UNIQUE KEY companyname(companyname)
@@ -1942,7 +1942,7 @@
 Field	Type	Collation	Null	Key	Default	Extra	Privileges	Comment
 auto	int	NULL	NO	PRI	NULL	auto_increment	#	
 fld1	int unsigned	NULL	NO	UNI	NULL		#	
-companynr	tinyint(2) unsigned	NULL	NO		NULL		#	
+companynr	tinyint(3) unsigned	NULL	NO		NULL		#	
 fld3	char(30)	latin1_swedish_ci	NO	MUL	NULL		#	
 fld4	char(35)	latin1_swedish_ci	NO		NULL		#	
 fld5	char(35)	latin1_swedish_ci	NO		NULL		#	
@@ -1958,7 +1958,7 @@
 Field	Type	Collation	Null	Key	Default	Extra	Privileges	Comment
 drop table t4, t3, t2, t1;
 CREATE TABLE t1 (
-id bigint(8) unsigned NOT NULL auto_increment,
+id bigint unsigned NOT NULL auto_increment,
 pseudo varchar(35) NOT NULL default '',
 PRIMARY KEY  (id),
 UNIQUE KEY pseudo (pseudo)
@@ -1968,9 +1968,9 @@
 SELECT 1 as rnd1 from t1 where rand() > 2;
 rnd1
 DROP TABLE t1;
-CREATE TABLE t1 (gvid int(10) unsigned default NULL,  hmid int(10) unsigned default NULL,  volid int(10) unsigned default NULL,  mmid int(10) unsigned default NULL,  hdid int(10) unsigned default NULL,  fsid int(10) unsigned default NULL,  ctid int(10) unsigned default NULL,  dtid int(10) unsigned default NULL,  cost int(10) unsigned default NULL,  performance int(10) unsigned default NULL,  serialnumber bigint(20) unsigned default NULL,  monitored tinyint(3) unsigned default '1',  removed tinyint(3) unsigned default '0',  target tinyint(3) unsigned default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
+CREATE TABLE t1 (gvid int unsigned default NULL,  hmid int unsigned default NULL,  volid int unsigned default NULL,  mmid int unsigned default NULL,  hdid int unsigned default NULL,  fsid int unsigned default NULL,  ctid int unsigned default NULL,  dtid int unsigned default NULL,  cost int unsigned default NULL,  performance int unsigned default NULL,  serialnumber bigint unsigned default NULL,  monitored tinyint unsigned default '1',  removed tinyint unsigned default '0',  target tinyint unsigned default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (200001,2,1,1,100,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\E$',''),(200002,2,2,1,101,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\C$',''),(200003,1,3,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,20020425060427,'c:',NULL);
-CREATE TABLE t2 (  hmid int(10) unsigned default NULL,  volid int(10) unsigned default NULL,  sampletid smallint(5) unsigned default NULL,  sampletime datetime default NULL,  samplevalue bigint(20) unsigned default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
+CREATE TABLE t2 (  hmid int unsigned default NULL,  volid int unsigned default NULL,  sampletid smallint unsigned default NULL,  sampletime datetime default NULL,  samplevalue bigint unsigned default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,3,10,'2002-06-01 08:00:00',35),(1,3,1010,'2002-06-01 12:00:01',35);
 SELECT a.gvid, (SUM(CASE b.sampletid WHEN 140 THEN b.samplevalue ELSE 0 END)) as the_success,(SUM(CASE b.sampletid WHEN 141 THEN b.samplevalue ELSE 0 END)) as the_fail,(SUM(CASE b.sampletid WHEN 142 THEN b.samplevalue ELSE 0 END)) as the_size,(SUM(CASE b.sampletid WHEN 143 THEN b.samplevalue ELSE 0 END)) as the_time FROM t1 a, t2 b WHERE a.hmid = b.hmid AND a.volid = b.volid AND b.sampletime >= 'wrong-date-value' AND b.sampletime < 'wrong-date-value' AND b.sampletid IN (140, 141, 142, 143) GROUP BY a.gvid;
 gvid	the_success	the_fail	the_size	the_time
@@ -1980,7 +1980,7 @@
 SELECT a.gvid, (SUM(CASE b.sampletid WHEN 140 THEN b.samplevalue ELSE 0 END)) as the_success,(SUM(CASE b.sampletid WHEN 141 THEN b.samplevalue ELSE 0 END)) as the_fail,(SUM(CASE b.sampletid WHEN 142 THEN b.samplevalue ELSE 0 END)) as the_size,(SUM(CASE b.sampletid WHEN 143 THEN b.samplevalue ELSE 0 END)) as the_time FROM t1 a, t2 b WHERE a.hmid = b.hmid AND a.volid = b.volid AND b.sampletime >= NULL AND b.sampletime < NULL AND b.sampletid IN (140, 141, 142, 143) GROUP BY a.gvid;
 gvid	the_success	the_fail	the_size	the_time
 DROP TABLE t1,t2;
-create table  t1 (  A_Id bigint(20) NOT NULL default '0',  A_UpdateBy char(10) NOT NULL default '',  A_UpdateDate bigint(20) NOT NULL default '0',  A_UpdateSerial int(11) NOT NULL default '0',  other_types bigint(20) NOT NULL default '0',  wss_type bigint(20) NOT NULL default '0');
+create table  t1 (  A_Id bigint NOT NULL default '0',  A_UpdateBy char(10) NOT NULL default '',  A_UpdateDate bigint NOT NULL default '0',  A_UpdateSerial int NOT NULL default '0',  other_types bigint NOT NULL default '0',  wss_type bigint NOT NULL default '0');
 INSERT INTO t1 VALUES (102935998719055004,'brade',1029359987,2,102935229116544068,102935229216544093);
 select wss_type from t1 where wss_type ='102935229216544106';
 wss_type
@@ -2164,9 +2164,9 @@
 2
 3
 drop table t1;
-CREATE TABLE t1 (  aa char(2),  id int(11) NOT NULL auto_increment,  t2_id int(11) NOT NULL default '0',  PRIMARY KEY  (id),  KEY replace_id (t2_id)) ENGINE=MyISAM;
+CREATE TABLE t1 (  aa char(2),  id int NOT NULL auto_increment,  t2_id int NOT NULL default '0',  PRIMARY KEY  (id),  KEY replace_id (t2_id)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES ("1",8264,2506),("2",8299,2517),("3",8301,2518),("4",8302,2519),("5",8303,2520),("6",8304,2521),("7",8305,2522);
-CREATE TABLE t2 ( id int(11) NOT NULL auto_increment,  PRIMARY KEY  (id)) ENGINE=MyISAM;
+CREATE TABLE t2 ( id int NOT NULL auto_increment,  PRIMARY KEY  (id)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2517), (2518), (2519), (2520), (2521), (2522);
 select * from t1, t2 WHERE t1.t2_id = t2.id and t1.t2_id > 0   order by t1.id   LIMIT 0, 5;
 aa	id	t2_id	id
@@ -2223,7 +2223,7 @@
 4	2	4	4
 drop table t1, t2;
 CREATE TABLE t1 (
-i int(11) NOT NULL default '0',
+i int NOT NULL default '0',
 c char(10) NOT NULL default '',
 PRIMARY KEY  (i),
 UNIQUE KEY c (c)
@@ -2270,7 +2270,7 @@
 city
 London
 DROP TABLE t1;
-create table t1 (a int(11) unsigned, b int(11) unsigned);
+create table t1 (a int unsigned, b int unsigned);
 insert into t1 values (1,0), (1,1), (1,2);
 select a-b  from t1 order by 1;
 a-b  
@@ -2293,7 +2293,7 @@
 1
 18446744073709551615
 drop table t1;
-create table t1 (a int(11));
+create table t1 (a int);
 select all all * from t1;
 a
 select distinct distinct * from t1;
@@ -2304,9 +2304,9 @@
 ERROR HY000: Incorrect usage of ALL and DISTINCT
 drop table t1;
 CREATE TABLE t1 (
-kunde_intern_id int(10) unsigned NOT NULL default '0',
-kunde_id int(10) unsigned NOT NULL default '0',
-FK_firma_id int(10) unsigned NOT NULL default '0',
+kunde_intern_id int unsigned NOT NULL default '0',
+kunde_id int unsigned NOT NULL default '0',
+FK_firma_id int unsigned NOT NULL default '0',
 aktuell enum('Ja','Nein') NOT NULL default 'Ja',
 vorname varchar(128) NOT NULL default '',
 nachname varchar(128) NOT NULL default '',
@@ -2357,44 +2357,44 @@
 COUNT(*)
 0
 drop table t1;
-CREATE TABLE t1 (b BIGINT(20) UNSIGNED NOT NULL, PRIMARY KEY (b));
+CREATE TABLE t1 (b BIGINT UNSIGNED NOT NULL, PRIMARY KEY (b));
 INSERT INTO t1 VALUES (0x8000000000000000);
 SELECT b FROM t1 WHERE b=0x8000000000000000;
 b
 9223372036854775808
 DROP TABLE t1;
-CREATE TABLE `t1` ( `gid` int(11) default NULL, `uid` int(11) default NULL);
-CREATE TABLE `t2` ( `ident` int(11) default NULL, `level` char(16) default NULL);
+CREATE TABLE `t1` ( `gid` int default NULL, `uid` int default NULL);
+CREATE TABLE `t2` ( `ident` int default NULL, `level` char(16) default NULL);
 INSERT INTO `t2` VALUES (0,'READ');
-CREATE TABLE `t3` ( `id` int(11) default NULL, `name` char(16) default NULL);
+CREATE TABLE `t3` ( `id` int default NULL, `name` char(16) default NULL);
 INSERT INTO `t3` VALUES (1,'fs');
 select * from t3 left join t1 on t3.id = t1.uid, t2 where t2.ident in (0, t1.gid, t3.id, 0);
 id	name	gid	uid	ident	level
 1	fs	NULL	NULL	0	READ
 drop table t1,t2,t3;
 CREATE TABLE t1 (
-acct_id int(11) NOT NULL default '0',
-profile_id smallint(6) default NULL,
+acct_id int NOT NULL default '0',
+profile_id smallint default NULL,
 UNIQUE KEY t1$acct_id (acct_id),
 KEY t1$profile_id (profile_id)
 );
 INSERT INTO t1 VALUES (132,17),(133,18);
 CREATE TABLE t2 (
-profile_id smallint(6) default NULL,
-queue_id int(11) default NULL,
-seq int(11) default NULL,
+profile_id smallint default NULL,
+queue_id int default NULL,
+seq int default NULL,
 KEY t2$queue_id (queue_id)
 );
 INSERT INTO t2 VALUES (17,31,4),(17,30,3),(17,36,2),(17,37,1);
 CREATE TABLE t3 (
-id int(11) NOT NULL default '0',
-qtype int(11) default NULL,
-seq int(11) default NULL,
-warn_lvl int(11) default NULL,
-crit_lvl int(11) default NULL,
-rr1 tinyint(4) NOT NULL default '0',
-rr2 int(11) default NULL,
-default_queue tinyint(4) NOT NULL default '0',
+id int NOT NULL default '0',
+qtype int default NULL,
+seq int default NULL,
+warn_lvl int default NULL,
+crit_lvl int default NULL,
+rr1 tinyint NOT NULL default '0',
+rr2 int default NULL,
+default_queue tinyint NOT NULL default '0',
 KEY t3$qtype (qtype),
 KEY t3$id (id)
 );
@@ -2603,7 +2603,7 @@
 CREATE TABLE t1 ( 
 K2C4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '', 
 K4N4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '0000', 
-F2I4 int(11) NOT NULL default '0' 
+F2I4 int NOT NULL default '0' 
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 INSERT INTO t1 VALUES 
 ('W%RT', '0100',  1), 
@@ -2683,7 +2683,7 @@
 select x'10' + 0, X'10' + 0, b'10' + 0, B'10' + 0;
 x'10' + 0	X'10' + 0	b'10' + 0	B'10' + 0
 16	16	2	2
-create table t1 (f1 varchar(6) default NULL, f2 int(6) primary key not null);
+create table t1 (f1 varchar(6) default NULL, f2 int primary key not null);
 create table t2 (f3 varchar(5) not null, f4 varchar(5) not null, UNIQUE KEY UKEY (f3,f4));
 insert into t1 values (" 2", 2);
 insert into t2 values (" 2", " one "),(" 2", " two ");
@@ -2697,9 +2697,9 @@
 select pk from t1 inner join t2 using (pk);
 pk
 drop table t1,t2;
-create table t1 (a int(10), t1_val int(10));
-create table t2 (b int(10), t2_val int(10));
-create table t3 (a int(10), b int(10));
+create table t1 (a int, t1_val int);
+create table t2 (b int, t2_val int);
+create table t3 (a int, b int);
 insert into t1 values (1,1),(2,2);
 insert into t2 values (1,1),(2,2),(3,3);
 insert into t3 values (1,1),(2,1),(3,1),(4,1);
@@ -2739,8 +2739,8 @@
 SELECT id,t3.id FROM (t1 JOIN t2 ON (t2.id=t1.id)) LEFT JOIN t3 USING (id);
 ERROR 23000: Column 'id' in from clause is ambiguous
 drop table t1, t2, t3;
-create table t1 (a int(10),b int(10));
-create table t2 (a int(10),b int(10));
+create table t1 (a int,b int);
+create table t2 (a int,b int);
 insert into t1 values (1,10),(2,20),(3,30);
 insert into t2 values (1,10);
 select * from t1 inner join t2 using (A);
@@ -2787,11 +2787,11 @@
 4	4
 4	5
 drop table t1,t2,t3;
-create table t1 (id int(11) not null default '0');
+create table t1 (id int not null default '0');
 insert into t1 values (123),(191),(192);
 create table t2 (id char(16) character set utf8 not null);
 insert into t2 values ('58013'),('58014'),('58015'),('58016');
-create table t3 (a_id int(11) not null, b_id char(16) character set utf8);
+create table t3 (a_id int not null, b_id char(16) character set utf8);
 insert into t3 values (123,null),(123,null),(123,null),(123,null),(123,null),(123,'58013');
 select count(*)
 from t1 inner join (t3 left join t2 on t2.id = t3.b_id) on t1.id = t3.a_id;
@@ -3516,10 +3516,10 @@
 ERROR HY000: Too high level of nesting for select
 DROP TABLE t1;
 CREATE TABLE t1 (
-c1 int(11) NOT NULL AUTO_INCREMENT,
+c1 int NOT NULL AUTO_INCREMENT,
 c2 varchar(1000) DEFAULT NULL,
-c3 bigint(20) DEFAULT NULL,
-c4 bigint(20) DEFAULT NULL,
+c3 bigint DEFAULT NULL,
+c4 bigint DEFAULT NULL,
 PRIMARY KEY (c1)
 );
 EXPLAIN EXTENDED 

=== modified file 'tests/r/subselect.result'
--- tests/r/subselect.result	2008-07-28 16:10:34 +0000
+++ tests/r/subselect.result	2008-07-28 19:08:55 +0000
@@ -377,7 +377,7 @@
 ERROR 21000: Subquery returns more than 1 row
 drop table if exists t1,t2,t3,t4,t5,t6,t7,t8;
 CREATE TABLE `t1` (
-`topic` bigint(8) unsigned NOT NULL default '0',
+`topic` bigint unsigned NOT NULL default '0',
 `date` date NOT NULL default '0000-00-00',
 `pseudo` varchar(35) character set latin1 NOT NULL default '',
 PRIMARY KEY  (`pseudo`,`date`,`topic`),
@@ -419,15 +419,15 @@
 Note	1003	select 1 AS "1" from "test"."t1" where 1
 drop table t1;
 CREATE TABLE `t1` (
-`numeropost` bigint(8) unsigned NOT NULL auto_increment,
-`maxnumrep` int(10) unsigned NOT NULL default '0',
+`numeropost` bigint unsigned NOT NULL auto_increment,
+`maxnumrep` int unsigned NOT NULL default '0',
 PRIMARY KEY  (`numeropost`),
 UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM ROW_FORMAT=FIXED;
 INSERT INTO t1 (numeropost,maxnumrep) VALUES (40143,1),(43506,2);
 CREATE TABLE `t2` (
 `mot` varchar(30) NOT NULL default '',
-`topic` bigint(8) unsigned NOT NULL default '0',
+`topic` bigint unsigned NOT NULL default '0',
 `date` date NOT NULL default '0000-00-00',
 `pseudo` varchar(35) NOT NULL default '',
 PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`)
@@ -491,8 +491,8 @@
 joce	43506	2002-10-22	joce	0
 drop table t1,t2;
 CREATE TABLE `t1` (
-`numeropost` bigint(8) unsigned NOT NULL auto_increment,
-`maxnumrep` int(10) unsigned NOT NULL default '0',
+`numeropost` bigint unsigned NOT NULL auto_increment,
+`maxnumrep` int unsigned NOT NULL default '0',
 PRIMARY KEY  (`numeropost`),
 UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM ROW_FORMAT=FIXED;
@@ -516,8 +516,8 @@
 ERROR 21000: Subquery returns more than 1 row
 drop table t1;
 CREATE TABLE `t1` (
-`numeropost` bigint(8) unsigned NOT NULL default '0',
-`numreponse` int(10) unsigned NOT NULL auto_increment,
+`numeropost` bigint unsigned NOT NULL default '0',
+`numreponse` int unsigned NOT NULL auto_increment,
 `pseudo` varchar(35) NOT NULL default '',
 PRIMARY KEY  (`numeropost`,`numreponse`),
 UNIQUE KEY `numreponse` (`numreponse`),
@@ -544,7 +544,7 @@
 Warnings:
 Note	1003	select '3' AS "numreponse" from "test"."t1" where 1
 drop table t1;
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1);
 SELECT 1 FROM (SELECT a FROM t1) b HAVING (SELECT b.a)=1;
 1
@@ -708,7 +708,7 @@
 drop table t1, t2, t3;
 SELECT * FROM (SELECT 1) b WHERE 1 IN (SELECT *);
 ERROR HY000: No tables used
-CREATE TABLE t2 (id int(11) default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t2 VALUES (1),(2);
 SELECT * FROM t2 WHERE id IN (SELECT 1);
 id
@@ -753,7 +753,7 @@
 id
 1
 2
-CREATE TABLE t1 (id int(11) default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 values (1),(1);
 UPDATE t2 SET id=(SELECT * FROM t1);
 ERROR 21000: Subquery returns more than 1 row
@@ -872,8 +872,8 @@
 NULL
 4.5
 drop table t1;
-CREATE TABLE t1 (a int(11) NOT NULL default '0', PRIMARY KEY  (a));
-CREATE TABLE t2 (a int(11) default '0', INDEX (a));
+CREATE TABLE t1 (a int NOT NULL default '0', PRIMARY KEY  (a));
+CREATE TABLE t2 (a int default '0', INDEX (a));
 INSERT INTO t1 VALUES (1),(2),(3),(4);
 INSERT INTO t2 VALUES (1),(2),(3);
 SELECT t1.a, t1.a in (select t2.a from t2) FROM t1;
@@ -888,7 +888,7 @@
 2	DEPENDENT SUBQUERY	t2	index_subquery	a	a	5	func	2	100.00	Using index
 Warnings:
 Note	1003	select "test"."t1"."a" AS "a",<in_optimizer>("test"."t1"."a",<exists>(<index_lookup>(<cache>("test"."t1"."a") in t2 on a checking NULL having <is_not_null_test>("test"."t2"."a")))) AS "t1.a in (select t2.a from t2)" from "test"."t1"
-CREATE TABLE t3 (a int(11) default '0');
+CREATE TABLE t3 (a int default '0');
 INSERT INTO t3 VALUES (1),(2),(3);
 SELECT t1.a, t1.a in (select t2.a from t2,t3 where t3.a=t2.a) FROM t1;
 a	t1.a in (select t2.a from t2,t3 where t3.a=t2.a)
@@ -962,7 +962,7 @@
 select ROW(1, 1, 'a') IN (select b,a,c from t1 limit 2);
 ERROR 42000: This version of MySQL doesn't yet support 'LIMIT & IN/ALL/ANY/SOME subquery'
 drop table t1;
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 EXPLAIN EXTENDED SELECT (SELECT RAND() FROM t1) FROM t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	PRIMARY	t1	ALL	NULL	NULL	NULL	NULL	1	100.00	
@@ -984,7 +984,7 @@
 drop table t1;
 CREATE TABLE `t1` (
 `mot` varchar(30) character set latin1 NOT NULL default '',
-`topic` bigint(8) unsigned NOT NULL default '0',
+`topic` bigint unsigned NOT NULL default '0',
 `date` date NOT NULL default '0000-00-00',
 `pseudo` varchar(35) character set latin1 NOT NULL default '',
 PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
@@ -993,7 +993,7 @@
 ) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
 CREATE TABLE `t2` (
 `mot` varchar(30) character set latin1 NOT NULL default '',
-`topic` bigint(8) unsigned NOT NULL default '0',
+`topic` bigint unsigned NOT NULL default '0',
 `date` date NOT NULL default '0000-00-00',
 `pseudo` varchar(35) character set latin1 NOT NULL default '',
 PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
@@ -1001,8 +1001,8 @@
 KEY `topic` (`topic`)
 ) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
 CREATE TABLE `t3` (
-`numeropost` bigint(8) unsigned NOT NULL auto_increment,
-`maxnumrep` int(10) unsigned NOT NULL default '0',
+`numeropost` bigint unsigned NOT NULL auto_increment,
+`maxnumrep` int unsigned NOT NULL default '0',
 PRIMARY KEY  (`numeropost`),
 UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM CHARSET=latin1;
@@ -1074,11 +1074,11 @@
 select t1.Continent, t2.Name, t2.Population from t1 LEFT JOIN t2 ON t1.Code = t2.Country  where t2.Population IN (select max(t2.Population) AS Population from t2, t1 where t2.Country = t1.Code group by Continent);
 ERROR 42S02: Table 'test.t1' doesn't exist
 CREATE TABLE t1 (
-ID int(11) NOT NULL auto_increment,
+ID int NOT NULL auto_increment,
 name char(35) NOT NULL default '',
 t2 char(3) NOT NULL default '',
 District char(20) NOT NULL default '',
-Population int(11) NOT NULL default '0',
+Population int NOT NULL default '0',
 PRIMARY KEY  (ID)
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (130,'Sydney','AUS','New South Wales',3276207);
@@ -1090,15 +1090,15 @@
 Continent enum('Asia','Europe','North America','Africa','Oceania','Antarctica','South America') NOT NULL default 'Asia',
 Region char(26) NOT NULL default '',
 SurfaceArea float(10,2) NOT NULL default '0.00',
-IndepYear smallint(6) default NULL,
-Population int(11) NOT NULL default '0',
+IndepYear smallint default NULL,
+Population int NOT NULL default '0',
 LifeExpectancy float(3,1) default NULL,
 GNP float(10,2) default NULL,
 GNPOld float(10,2) default NULL,
 LocalName char(45) NOT NULL default '',
 GovernmentForm char(45) NOT NULL default '',
 HeadOfState char(60) default NULL,
-Capital int(11) default NULL,
+Capital int default NULL,
 Code2 char(2) NOT NULL default '',
 PRIMARY KEY  (Code)
 ) ENGINE=MyISAM;
@@ -1109,7 +1109,7 @@
 Oceania	Sydney	3276207
 drop table t1, t2;
 CREATE TABLE `t1` (
-`id` bigint(8) unsigned NOT NULL auto_increment,
+`id` bigint unsigned NOT NULL auto_increment,
 `pseudo` varchar(35) character set latin1 NOT NULL default '',
 PRIMARY KEY  (`id`),
 UNIQUE KEY `pseudo` (`pseudo`)
@@ -1136,7 +1136,7 @@
 Note	1003	select <in_optimizer>(0,<exists>(select 1 AS "Not_used" from "test"."t1" "a" where 0)) AS "0 IN (SELECT 1 FROM t1 a)"
 drop table t1;
 CREATE TABLE `t1` (
-`i` int(11) NOT NULL default '0',
+`i` int NOT NULL default '0',
 PRIMARY KEY  (`i`)
 ) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 VALUES (1);
@@ -1149,11 +1149,11 @@
 3
 drop table t1;
 CREATE TABLE t1 (
-id int(11) default NULL
+id int default NULL
 ) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 VALUES (1),(1),(2),(2),(1),(3);
 CREATE TABLE t2 (
-id int(11) default NULL,
+id int default NULL,
 name varchar(15) default NULL
 ) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t2 VALUES (4,'vita'), (1,'vita'), (2,'vita'), (1,'vita');
@@ -1181,10 +1181,10 @@
 Note	1003	select "test"."t1"."id" AS "id" from "test"."t1" where ("test"."t1"."salary" = (select max("test"."t1"."salary") AS "MAX(salary)" from "test"."t1"))
 drop table t1;
 CREATE TABLE t1 (
-ID int(10) unsigned NOT NULL auto_increment,
-SUB_ID int(3) unsigned NOT NULL default '0',
-REF_ID int(10) unsigned default NULL,
-REF_SUB int(3) unsigned default '0',
+ID int unsigned NOT NULL auto_increment,
+SUB_ID int unsigned NOT NULL default '0',
+REF_ID int unsigned default NULL,
+REF_SUB int unsigned default '0',
 PRIMARY KEY (ID,SUB_ID),
 UNIQUE KEY t1_PK (ID,SUB_ID),
 KEY t1_FK (REF_ID,REF_SUB),
@@ -1208,7 +1208,7 @@
 3	1
 drop table t1, t2;
 CREATE TABLE `t1` (
-`id` bigint(8) unsigned NOT NULL auto_increment,
+`id` bigint unsigned NOT NULL auto_increment,
 `pseudo` varchar(35) NOT NULL default '',
 `email` varchar(60) NOT NULL default '',
 PRIMARY KEY  (`id`),
@@ -1512,13 +1512,13 @@
 Warnings:
 Note	1003	select "test"."t3"."a" AS "a" from "test"."t3" where <not>(("test"."t3"."a" <= <max>(select max("test"."t2"."b") AS "max(b)" from "test"."t2" group by "test"."t2"."a")))
 drop table t2, t3;
-CREATE TABLE `t1` ( `id` bigint(9) NOT NULL auto_increment, `taskid` bigint(20) NOT NULL default '0', `dbid` int(11) NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
+CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
 INSERT INTO `t1` (`id`, `taskid`, `dbid`, `create_date`,`last_update`) VALUES (1, 1, 15, '2003-09-29 10:31:36', '2003-09-29 10:31:36'), (2, 1, 21, now(), now());
-CREATE TABLE `t2` (`db_id` int(11) NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint(6) NOT NULL default '0',`secondary_uid` smallint(6) NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
+CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
 INSERT INTO `t2` (`db_id`, `name`, `primary_uid`, `secondary_uid`) VALUES (18, 'Not Set 1', 0, 0),(19, 'Valid', 1, 2),(20, 'Valid 2', 1, 2),(21, 'Should Not Return', 1, 2),(26, 'Not Set 2', 0, 0),(-1, 'ALL DB\'S', 0, 0);
-CREATE TABLE `t3` (`taskgenid` bigint(9) NOT NULL auto_increment,`dbid` int(11) NOT NULL default '0',`taskid` int(11) NOT NULL default '0',`mon` tinyint(4) NOT NULL default '1',`tues` tinyint(4) NOT NULL default '1',`wed` tinyint(4) NOT NULL default '1',`thur` tinyint(4) NOT NULL default '1',`fri` tinyint(4) NOT NULL default '1',`sat` tinyint(4) NOT NULL default '0',`sun` tinyint(4) NOT NULL default '0',`how_often` smallint(6) NOT NULL default '1',`userid` smallint(6) NOT NULL default '0',`active` tinyint(4) NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
+CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
 INSERT INTO `t3` (`taskgenid`, `dbid`, `taskid`, `mon`, `tues`,`wed`, `thur`, `fri`, `sat`, `sun`, `how_often`, `userid`, `active`) VALUES (1,-1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1);
-CREATE TABLE `t4` (`task_id` smallint(6) NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO `t4` (`task_id`, `description`) VALUES (1, 'Daily Check List'),(2, 'Weekly Status');
 select  dbid, name, (date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01') from t3 a, t2 b, t4  WHERE dbid = - 1 AND primary_uid = '1' AND t4.task_id = taskid;
 dbid	name	(date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01')
@@ -1530,9 +1530,9 @@
 -1	Valid
 -1	Valid 2
 drop table t1,t2,t3,t4;
-CREATE TABLE t1 (id int(11) default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 VALUES (1),(5);
-CREATE TABLE t2 (id int(11) default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t2 VALUES (2),(6);
 select * from t1 where (1,2,6) in (select * from t2);
 ERROR 21000: Operand should contain 3 column(s)
@@ -1581,7 +1581,7 @@
 SELECT DISTINCT COLC FROM t1 WHERE COLA = (SELECT COLA FROM t2 WHERE COLB = 200 AND COLC ='C' LIMIT 1);
 COLC
 DROP TABLE t1, t2;
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(1),(1),(1),(1),(2),(3),(4),(5);
 SELECT DISTINCT (SELECT a) FROM t1 LIMIT 100;
 (SELECT a)
@@ -1592,21 +1592,21 @@
 5
 DROP TABLE t1;
 CREATE TABLE `t1` (
-`id` int(11) NOT NULL auto_increment,
-`id_cns` tinyint(3) unsigned NOT NULL default '0',
+`id` int NOT NULL auto_increment,
+`id_cns` tinyint unsigned NOT NULL default '0',
 `tipo` enum('','UNO','DUE') NOT NULL default '',
-`anno_dep` smallint(4) unsigned NOT NULL default '0',
-`particolare` bigint(8) unsigned NOT NULL default '0',
-`generale` bigint(8) unsigned NOT NULL default '0',
-`bis` tinyint(3) unsigned NOT NULL default '0',
+`anno_dep` smallint unsigned NOT NULL default '0',
+`particolare` bigint unsigned NOT NULL default '0',
+`generale` bigint unsigned NOT NULL default '0',
+`bis` tinyint unsigned NOT NULL default '0',
 PRIMARY KEY  (`id`),
 UNIQUE KEY `idx_cns_gen_anno` (`anno_dep`,`id_cns`,`generale`,`particolare`),
 UNIQUE KEY `idx_cns_par_anno` (`id_cns`,`anno_dep`,`tipo`,`particolare`,`bis`)
 );
 INSERT INTO `t1` VALUES (1,16,'UNO',1987,2048,9681,0),(2,50,'UNO',1987,1536,13987,0),(3,16,'UNO',1987,2432,14594,0),(4,16,'UNO',1987,1792,13422,0),(5,16,'UNO',1987,1025,10240,0),(6,16,'UNO',1987,1026,7089,0);
 CREATE TABLE `t2` (
-`id` tinyint(3) unsigned NOT NULL auto_increment,
-`max_anno_dep` smallint(6) unsigned NOT NULL default '0',
+`id` tinyint unsigned NOT NULL auto_increment,
+`max_anno_dep` smallint unsigned NOT NULL default '0',
 PRIMARY KEY  (`id`)
 );
 INSERT INTO `t2` VALUES (16,1987),(50,1990),(51,1990);
@@ -2216,9 +2216,9 @@
 t1_a	t2_a	t2_b
 1	1	2
 DROP TABLE t1, t2;
-CREATE TABLE t1 (id int(11) default NULL,name varchar(10) default NULL);
+CREATE TABLE t1 (id int default NULL,name varchar(10) default NULL);
 INSERT INTO t1 VALUES (1,'Tim'),(2,'Rebecca'),(3,NULL);
-CREATE TABLE t2 (id int(11) default NULL, pet varchar(10) default NULL);
+CREATE TABLE t2 (id int default NULL, pet varchar(10) default NULL);
 INSERT INTO t2 VALUES (1,'Fido'),(2,'Spot'),(3,'Felix');
 SELECT a.*, b.* FROM (SELECT * FROM t1) AS a JOIN t2 as b on a.id=b.id;
 id	name	id	pet
@@ -2226,9 +2226,9 @@
 2	Rebecca	2	Spot
 3	NULL	3	Felix
 drop table t1,t2;
-CREATE TABLE `t1` ( `a` int(11) default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 insert into t1 values (1);
-CREATE TABLE `t2` ( `b` int(11) default NULL, `a` int(11) default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 insert into t2 values (1,2);
 select t000.a, count(*) `C` FROM t1 t000 GROUP BY t000.a HAVING count(*) > ALL (SELECT count(*) FROM t2 t001 WHERE t001.a=1);
 a	C
@@ -2244,8 +2244,8 @@
 IZAVORGANG_ID
 D0000000001
 drop table t1;
-CREATE TABLE `t1` ( `aid` int(11) NOT NULL default '0', `bid` int(11) NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
-CREATE TABLE `t2` ( `aid` int(11) NOT NULL default '0', `bid` int(11) NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
+CREATE TABLE `t1` ( `aid` int NOT NULL default '0', `bid` int NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
+CREATE TABLE `t2` ( `aid` int NOT NULL default '0', `bid` int NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
 insert into t1 values (1,1),(1,2),(2,1),(2,2);
 insert into t2 values (1,2),(2,2);
 select * from t1 where t1.aid not in (select aid from t2 where bid=t1.bid);
@@ -2303,9 +2303,9 @@
 select  (select b.x from t1 as b where b.x=a.x) from t1 as a where a.x=2 group by a.x;
 (select b.x from t1 as b where b.x=a.x)
 drop table t1;
-CREATE TABLE `t1` ( `master` int(10) unsigned NOT NULL default '0', `map` smallint(6) unsigned NOT NULL default '0', `slave` int(10) unsigned NOT NULL default '0', `access` int(10) unsigned NOT NULL default '0', UNIQUE KEY `access_u` (`master`,`map`,`slave`));
+CREATE TABLE `t1` ( `master` int unsigned NOT NULL default '0', `map` smallint unsigned NOT NULL default '0', `slave` int unsigned NOT NULL default '0', `access` int unsigned NOT NULL default '0', UNIQUE KEY `access_u` (`master`,`map`,`slave`));
 INSERT INTO `t1` VALUES (1,0,0,700),(1,1,1,400),(1,5,5,400),(1,12,12,400),(1,12,32,400),(4,12,32,400);
-CREATE TABLE `t2` ( `id` int(10) unsigned NOT NULL default '0', `pid` int(10) unsigned NOT NULL default '0', `map` smallint(6) unsigned NOT NULL default '0', `level` tinyint(4) unsigned NOT NULL default '0', `title` varchar(255) default NULL, PRIMARY KEY  (`id`,`pid`,`map`), KEY `level` (`level`), KEY `id` (`id`,`map`)) ;
+CREATE TABLE `t2` ( `id` int unsigned NOT NULL default '0', `pid` int unsigned NOT NULL default '0', `map` smallint unsigned NOT NULL default '0', `level` tinyint unsigned NOT NULL default '0', `title` varchar(255) default NULL, PRIMARY KEY  (`id`,`pid`,`map`), KEY `level` (`level`), KEY `id` (`id`,`map`)) ;
 INSERT INTO `t2` VALUES (6,5,12,7,'a'),(12,0,0,7,'a'),(12,1,0,7,'a'),(12,5,5,7,'a'),(12,5,12,7,'a');
 SELECT b.sc FROM (SELECT (SELECT a.access FROM t1 a WHERE a.map = op.map AND a.slave = op.pid AND a.master = 1) ac FROM t2 op WHERE op.id = 12 AND op.map = 0) b;
 ERROR 42S22: Unknown column 'b.sc' in 'field list'
@@ -2347,15 +2347,15 @@
 Continent enum('Asia','Europe','North America','Africa','Oceania','Antarctica','South America') NOT NULL default 'Asia',
 Region char(26) NOT NULL default '',
 SurfaceArea float(10,2) NOT NULL default '0.00',
-IndepYear smallint(6) default NULL,
-Population int(11) NOT NULL default '0',
+IndepYear smallint default NULL,
+Population int NOT NULL default '0',
 LifeExpectancy float(3,1) default NULL,
 GNP float(10,2) default NULL,
 GNPOld float(10,2) default NULL,
 LocalName char(45) NOT NULL default '',
 GovernmentForm char(45) NOT NULL default '',
 HeadOfState char(60) default NULL,
-Capital int(11) default NULL,
+Capital int default NULL,
 Code2 char(2) NOT NULL default ''
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES ('XXX','Xxxxx','Oceania','Xxxxxx',26.00,0,0,0,0,0,'Xxxxx','Xxxxx','Xxxxx',NULL,'XX');
@@ -2411,8 +2411,8 @@
 ERROR 42S22: Reference 'xx' not supported (forward reference in item list)
 drop table t1;
 CREATE TABLE t1 (
-categoryId int(11) NOT NULL,
-courseId int(11) NOT NULL,
+categoryId int NOT NULL,
+courseId int NOT NULL,
 startDate datetime NOT NULL,
 endDate datetime NOT NULL,
 createDate datetime NOT NULL,
@@ -2429,8 +2429,8 @@
 (3,51,'2004-02-09','2010-01-01','2004-02-09','2004-02-09',''),
 (5,12,'2004-02-18','2010-01-01','2004-02-18','2004-02-18','');
 CREATE TABLE t2 (
-userId int(11) NOT NULL,
-courseId int(11) NOT NULL,
+userId int NOT NULL,
+courseId int NOT NULL,
 date datetime NOT NULL
 );
 INSERT INTO t2 VALUES (5141,71,'2003-11-18'),
@@ -2440,21 +2440,21 @@
 (5141,87,'2004-10-21'),(5141,88,'2004-10-21'),
 (5141,89,'2004-10-22'),(5141,51,'2004-10-26');
 CREATE TABLE t3 (
-groupId int(11) NOT NULL,
-parentId int(11) NOT NULL,
+groupId int NOT NULL,
+parentId int NOT NULL,
 startDate datetime NOT NULL,
 endDate datetime NOT NULL,
 createDate datetime NOT NULL,
 modifyDate timestamp NOT NULL,
-ordering int(11)
+ordering int
 );
 INSERT INTO t3 VALUES (12,9,'1000-01-01','3999-12-31','2004-01-29','2004-01-29',NULL);
 CREATE TABLE t4 (
-id int(11) NOT NULL,
-groupTypeId int(11) NOT NULL,
+id int NOT NULL,
+groupTypeId int NOT NULL,
 groupKey varchar(50) NOT NULL,
 name text,
-ordering int(11),
+ordering int,
 description text,
 createDate datetime NOT NULL,
 modifyDate timestamp NOT NULL
@@ -2462,8 +2462,8 @@
 INSERT INTO t4 VALUES (9,5,'stationer','stationer',0,'Stationer','2004-01-29','2004-01-29'),
 (12,5,'group2','group2',0,'group2','2004-01-29','2004-01-29');
 CREATE TABLE t5 (
-userId int(11) NOT NULL,
-groupId int(11) NOT NULL,
+userId int NOT NULL,
+groupId int NOT NULL,
 createDate datetime NOT NULL,
 modifyDate timestamp NOT NULL
 );
@@ -2534,9 +2534,9 @@
 ERROR 21000: Operand should contain 2 column(s)
 drop table t1;
 CREATE TABLE `t1` (
-`itemid` bigint(20) unsigned NOT NULL auto_increment,
-`sessionid` bigint(20) unsigned default NULL,
-`time` int(10) unsigned NOT NULL default '0',
+`itemid` bigint unsigned NOT NULL auto_increment,
+`sessionid` bigint unsigned default NULL,
+`time` int unsigned NOT NULL default '0',
 `type` set('A','D','E','F','G','I','L','N','U') collate latin1_general_ci NOT
 NULL default '',
 `data` text collate latin1_general_ci NOT NULL,
@@ -2544,9 +2544,9 @@
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
 INSERT INTO `t1` VALUES (1, 1, 1, 'D', '');
 CREATE TABLE `t2` (
-`sessionid` bigint(20) unsigned NOT NULL auto_increment,
-`pid` int(10) unsigned NOT NULL default '0',
-`date` int(10) unsigned NOT NULL default '0',
+`sessionid` bigint unsigned NOT NULL auto_increment,
+`pid` int unsigned NOT NULL default '0',
+`date` int unsigned NOT NULL default '0',
 `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
 PRIMARY KEY  (`sessionid`)
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
@@ -2712,7 +2712,7 @@
 drop table t1;
 create table t1 (
 retailerID varchar(8) NOT NULL,
-statusID   int(10) unsigned NOT NULL,
+statusID   int unsigned NOT NULL,
 changed    datetime NOT NULL,
 UNIQUE KEY retailerID (retailerID, statusID, changed)
 );
@@ -2920,7 +2920,7 @@
 1.1
 drop table t1;
 CREATE TABLE t1 (
-grp int(11) default NULL,
+grp int default NULL,
 a decimal(10,2) default NULL);
 insert into t1 values (1, 1), (2, 2), (2, 3), (3, 4), (3, 5), (3, 6), (NULL, NULL);
 select * from t1;
@@ -2975,9 +2975,9 @@
 3	NULL
 DROP TABLE t1,t2,t3;
 CREATE TABLE `t1` (
-`itemid` bigint(20) unsigned NOT NULL auto_increment,
-`sessionid` bigint(20) unsigned default NULL,
-`time` int(10) unsigned NOT NULL default '0',
+`itemid` bigint unsigned NOT NULL auto_increment,
+`sessionid` bigint unsigned default NULL,
+`time` int unsigned NOT NULL default '0',
 `type` set('A','D','E','F','G','I','L','N','U') collate latin1_general_ci NOT
 NULL default '',
 `data` text collate latin1_general_ci NOT NULL,
@@ -2985,9 +2985,9 @@
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
 INSERT INTO `t1` VALUES (1, 1, 1, 'D', '');
 CREATE TABLE `t2` (
-`sessionid` bigint(20) unsigned NOT NULL auto_increment,
-`pid` int(10) unsigned NOT NULL default '0',
-`date` int(10) unsigned NOT NULL default '0',
+`sessionid` bigint unsigned NOT NULL auto_increment,
+`pid` int unsigned NOT NULL default '0',
+`date` int unsigned NOT NULL default '0',
 `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
 PRIMARY KEY  (`sessionid`)
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
@@ -3246,15 +3246,15 @@
 DROP TABLE t1;
 DROP TABLE t2;
 CREATE TABLE t1 (
-id bigint(20) unsigned NOT NULL auto_increment,
+id bigint unsigned NOT NULL auto_increment,
 name varchar(255) NOT NULL,
 PRIMARY KEY  (id)
 );
 INSERT INTO t1 VALUES
 (1, 'Balazs'), (2, 'Joe'), (3, 'Frank');
 CREATE TABLE t2 (
-id bigint(20) unsigned NOT NULL auto_increment,
-mid bigint(20) unsigned NOT NULL,
+id bigint unsigned NOT NULL auto_increment,
+mid bigint unsigned NOT NULL,
 date date NOT NULL,
 PRIMARY KEY  (id)
 );
@@ -3291,8 +3291,8 @@
 3	Frank	2006-04-13	NULL
 DROP TABLE t1,t2;
 CREATE TABLE t1 (
-i1 int(11) NOT NULL default '0',
-i2 int(11) NOT NULL default '0',
+i1 int NOT NULL default '0',
+i2 int NOT NULL default '0',
 t datetime NOT NULL default '0000-00-00 00:00:00',
 PRIMARY KEY  (i1,i2,t)
 );
@@ -3304,8 +3304,8 @@
 (24,2,'2005-03-03 16:31:30'),(24,2,'2005-05-27 12:37:02'),
 (24,2,'2005-05-27 12:40:06');
 CREATE TABLE t2 (
-i1 int(11) NOT NULL default '0',
-i2 int(11) NOT NULL default '0',
+i1 int NOT NULL default '0',
+i2 int NOT NULL default '0',
 t datetime default NULL,
 PRIMARY KEY  (i1)
 );
@@ -3445,16 +3445,16 @@
 DROP TABLE IF EXISTS t2;
 DROP TABLE IF EXISTS t1xt2;
 CREATE TABLE t1 (
-id_1 int(5) NOT NULL,
+id_1 int NOT NULL,
 t varchar(4) DEFAULT NULL
 );
 CREATE TABLE t2 (
-id_2 int(5) NOT NULL,
+id_2 int NOT NULL,
 t varchar(4) DEFAULT NULL
 );
 CREATE TABLE t1xt2 (
-id_1 int(5) NOT NULL,
-id_2 int(5) NOT NULL
+id_1 int NOT NULL,
+id_2 int NOT NULL
 );
 INSERT INTO t1 VALUES (1, 'a'), (2, 'b'), (3, 'c'), (4, 'd');
 INSERT INTO t2 VALUES (2, 'bb'), (3, 'cc'), (4, 'dd'), (12, 'aa');

=== modified file 'tests/r/subselect_innodb.result'
--- tests/r/subselect_innodb.result	2008-06-25 05:29:13 +0000
+++ tests/r/subselect_innodb.result	2008-07-28 19:08:55 +0000
@@ -64,16 +64,16 @@
 3	3
 drop table t2,t1,t3;
 CREATE TABLE t1 (
-id int(11) NOT NULL default '0',
-b int(11) default NULL,
+id int NOT NULL default '0',
+b int default NULL,
 c char(3) default NULL,
 PRIMARY KEY  (id),
 KEY t2i1 (b)
 ) ENGINE=innodb DEFAULT CHARSET=latin1;
 INSERT INTO t1 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 CREATE TABLE t2 (
-id int(11) NOT NULL default '0',
-b int(11) default NULL,
+id int NOT NULL default '0',
+b int default NULL,
 c char(3) default NULL,
 PRIMARY KEY  (id),
 KEY t2i (b)

=== modified file 'tests/r/update.result'
--- tests/r/update.result	2008-07-20 09:02:20 +0000
+++ tests/r/update.result	2008-07-28 19:08:55 +0000
@@ -51,13 +51,13 @@
 drop table t1;
 CREATE TABLE t1
 (
-place_id int (10) unsigned NOT NULL,
-shows int(10) unsigned DEFAULT '0' NOT NULL,
-ishows int(10) unsigned DEFAULT '0' NOT NULL,
-ushows int(10) unsigned DEFAULT '0' NOT NULL,
-clicks int(10) unsigned DEFAULT '0' NOT NULL,
-iclicks int(10) unsigned DEFAULT '0' NOT NULL,
-uclicks int(10) unsigned DEFAULT '0' NOT NULL,
+place_id int unsigned NOT NULL,
+shows int unsigned DEFAULT '0' NOT NULL,
+ishows int unsigned DEFAULT '0' NOT NULL,
+ushows int unsigned DEFAULT '0' NOT NULL,
+clicks int unsigned DEFAULT '0' NOT NULL,
+iclicks int unsigned DEFAULT '0' NOT NULL,
+uclicks int unsigned DEFAULT '0' NOT NULL,
 ts timestamp,
 PRIMARY KEY (place_id,ts)
 );
@@ -69,20 +69,20 @@
 1	1
 drop table t1;
 CREATE TABLE t1 (
-lfdnr int(10) unsigned NOT NULL default '0',
-ticket int(10) unsigned NOT NULL default '0',
+lfdnr int unsigned NOT NULL default '0',
+ticket int unsigned NOT NULL default '0',
 client varchar(255) NOT NULL default '',
 replyto varchar(255) NOT NULL default '',
 subject varchar(100) NOT NULL default '',
-timestamp int(10) unsigned NOT NULL default '0',
+timestamp int unsigned NOT NULL default '0',
 tstamp timestamp NOT NULL,
-status int(3) NOT NULL default '0',
+status int NOT NULL default '0',
 type varchar(15) NOT NULL default '',
-assignment int(10) unsigned NOT NULL default '0',
-fupcount int(4) unsigned NOT NULL default '0',
-parent int(10) unsigned NOT NULL default '0',
-activity int(10) unsigned NOT NULL default '0',
-priority tinyint(1) unsigned NOT NULL default '1',
+assignment int unsigned NOT NULL default '0',
+fupcount int unsigned NOT NULL default '0',
+parent int unsigned NOT NULL default '0',
+activity int unsigned NOT NULL default '0',
+priority tinyint unsigned NOT NULL default '1',
 cc varchar(255) NOT NULL default '',
 bcc varchar(255) NOT NULL default '',
 body text NOT NULL,
@@ -96,7 +96,7 @@
 KEY ticket (ticket)
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (773,773,'','','',980257344,20010318180652,0,'Open',10,0,0,0,1,'','','','','');
-alter table t1 change lfdnr lfdnr int(10) unsigned not null auto_increment;
+alter table t1 change lfdnr lfdnr int unsigned not null auto_increment;
 update t1 set status=1 where type='Open';
 select status from t1;
 status
@@ -142,9 +142,9 @@
 update t1 set b=(select distinct 1 from (select * from t2) a);
 drop table t1,t2;
 CREATE TABLE t1 (
-`id_param` smallint(3) unsigned NOT NULL default '0',
+`id_param` smallint unsigned NOT NULL default '0',
 `nom_option` char(40) NOT NULL default '',
-`valid` tinyint(1) NOT NULL default '0',
+`valid` tinyint NOT NULL default '0',
 KEY `id_param` (`id_param`,`nom_option`)
 ) ENGINE=MyISAM;
 INSERT INTO t1 (id_param,nom_option,valid) VALUES (185,'600x1200',1);
@@ -170,17 +170,17 @@
 2	2	0	1	7
 drop table t1;
 CREATE TABLE t1 ( 
-`colA` int(10) unsigned NOT NULL auto_increment,
-`colB` int(11) NOT NULL default '0',
+`colA` int unsigned NOT NULL auto_increment,
+`colB` int NOT NULL default '0',
 PRIMARY KEY  (`colA`)
 );
 INSERT INTO t1 VALUES (4433,5424);
 CREATE TABLE t2 (
-`colC` int(10) unsigned NOT NULL default '0',
-`colA` int(10) unsigned NOT NULL default '0',
-`colD` int(10) unsigned NOT NULL default '0',
-`colE` int(10) unsigned NOT NULL default '0',
-`colF` int(10) unsigned NOT NULL default '0',
+`colC` int unsigned NOT NULL default '0',
+`colA` int unsigned NOT NULL default '0',
+`colD` int unsigned NOT NULL default '0',
+`colE` int unsigned NOT NULL default '0',
+`colF` int unsigned NOT NULL default '0',
 PRIMARY KEY  (`colC`,`colA`,`colD`,`colE`)
 );
 INSERT INTO t2 VALUES (3,4433,10005,495,500);
@@ -441,7 +441,7 @@
 Handler_read_rnd_next	0
 DROP TABLE t1;
 CREATE TABLE t1 (
-a INT(11),
+a int,
 quux decimal( 31, 30 ),
 UNIQUE KEY bar (a),
 KEY quux (quux)

=== modified file 'tests/t/alter_table.test'
--- tests/t/alter_table.test	2008-07-23 21:34:38 +0000
+++ tests/t/alter_table.test	2008-07-28 19:08:55 +0000
@@ -34,8 +34,8 @@
 # Check that pack_keys and dynamic length rows are not forced. 
 
 CREATE TABLE t1 (
-GROUP_ID int(10) unsigned DEFAULT '0' NOT NULL,
-LANG_ID smallint(5) unsigned DEFAULT '0' NOT NULL,
+GROUP_ID int unsigned DEFAULT '0' NOT NULL,
+LANG_ID smallint unsigned DEFAULT '0' NOT NULL,
 NAME varchar(80) DEFAULT '' NOT NULL,
 PRIMARY KEY (GROUP_ID,LANG_ID),
 KEY NAME (NAME));
@@ -56,11 +56,11 @@
 drop table t1;
 
 CREATE TABLE t1 (
-  id int(11) unsigned NOT NULL default '0',
-  category_id tinyint(4) unsigned NOT NULL default '0',
-  type_id tinyint(4) unsigned NOT NULL default '0',
+  id int unsigned NOT NULL default '0',
+  category_id tinyint unsigned NOT NULL default '0',
+  type_id tinyint unsigned NOT NULL default '0',
   body text NOT NULL,
-  user_id int(11) unsigned NOT NULL default '0',
+  user_id int unsigned NOT NULL default '0',
   status enum('new','old') NOT NULL default 'new',
   PRIMARY KEY (id)
 ) ENGINE=MyISAM;
@@ -72,7 +72,7 @@
 # The following combination found a hang-bug in MyISAM
 #
 
-CREATE TABLE t1 (AnamneseId int(10) unsigned NOT NULL auto_increment,B BLOB,PRIMARY KEY (AnamneseId)) engine=myisam;
+CREATE TABLE t1 (AnamneseId int unsigned NOT NULL auto_increment,B BLOB,PRIMARY KEY (AnamneseId)) engine=myisam;
 insert into t1 values (null,"hello");
 LOCK TABLES t1 WRITE;
 ALTER TABLE t1 ADD Column new_col int not null;
@@ -592,7 +592,7 @@
 # Bug #14693 (ALTER SET DEFAULT doesn't work)
 #
 
-create table t1 (mycol int(10) not null);
+create table t1 (mycol int not null);
 alter table t1 alter column mycol set default 0;
 desc t1;
 drop table t1;
@@ -601,7 +601,7 @@
 # Bug#25262 Auto Increment lost when changing Engine type
 #
 
-create table t1(id int(8) primary key auto_increment) engine=heap;
+create table t1(id int primary key auto_increment) engine=heap;
 
 insert into t1 values (null);
 insert into t1 values (null);

=== modified file 'tests/t/delete.test'
--- tests/t/delete.test	2008-06-25 05:29:13 +0000
+++ tests/t/delete.test	2008-07-28 19:08:55 +0000
@@ -5,7 +5,7 @@
 --disable_warnings
 drop table if exists t1,t2,t3,t11,t12;
 --enable_warnings
-CREATE TABLE t1 (a tinyint(3), b tinyint(5));
+CREATE TABLE t1 (a tinyint, b tinyint);
 INSERT INTO t1 VALUES (1,1);
 INSERT LOW_PRIORITY INTO t1 VALUES (1,2);
 INSERT INTO t1 VALUES (1,3);
@@ -61,8 +61,8 @@
 drop table t1;
 
 CREATE TABLE `t1` (
-  `i` int(10) NOT NULL default '0',
-  `i2` int(10) NOT NULL default '0',
+  `i` int NOT NULL default '0',
+  `i2` int NOT NULL default '0',
   PRIMARY KEY  (`i`)
 );
 -- error 1054
@@ -177,7 +177,7 @@
 CREATE TABLE t1 (
   `date` date ,
   `time` time ,
-  `seq` int(10) unsigned NOT NULL auto_increment,
+  `seq` int unsigned NOT NULL auto_increment,
   PRIMARY KEY  (`seq`),
   KEY `seq` (`seq`),
   KEY `time` (`time`),

=== modified file 'tests/t/distinct.test'
--- tests/t/distinct.test	2008-06-25 05:29:13 +0000
+++ tests/t/distinct.test	2008-07-28 19:08:55 +0000
@@ -47,7 +47,7 @@
 #
 # Problem with distinct without results
 #
-CREATE TABLE t1 (UserId int(11) DEFAULT '0' NOT NULL);
+CREATE TABLE t1 (UserId int DEFAULT '0' NOT NULL);
 INSERT INTO t1 VALUES (20);
 INSERT INTO t1 VALUES (27);
 
@@ -61,11 +61,11 @@
 # Test of distinct
 #
 
-CREATE TABLE t1 (a int(10) unsigned not null primary key,b int(10) unsigned);
+CREATE TABLE t1 (a int unsigned not null primary key,b int unsigned);
 INSERT INTO t1 VALUES (1,1),(2,1),(3,1),(4,1);
-CREATE TABLE t2 (a int(10) unsigned not null, key (A));
+CREATE TABLE t2 (a int unsigned not null, key (A));
 INSERT INTO t2 VALUES (1),(2);
-CREATE TABLE t3 (a int(10) unsigned, key(A), b text);
+CREATE TABLE t3 (a int unsigned, key(A), b text);
 INSERT INTO t3 VALUES (1,'1'),(2,'2');
 SELECT DISTINCT t3.b FROM t3,t2,t1 WHERE t3.a=t1.b AND t1.a=t2.a;
 INSERT INTO t2 values (1),(2),(3);
@@ -110,9 +110,9 @@
 drop table t1;
 
 CREATE TABLE t1 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   NAME varchar(75) DEFAULT '' NOT NULL,
-  LINK_ID int(11) DEFAULT '0' NOT NULL,
+  LINK_ID int DEFAULT '0' NOT NULL,
   PRIMARY KEY (ID),
   KEY NAME (NAME),
   KEY LINK_ID (LINK_ID)
@@ -121,7 +121,7 @@
 INSERT INTO t1 (ID, NAME, LINK_ID) VALUES (1,'Mike',0),(2,'Jack',0),(3,'Bill',0);
 
 CREATE TABLE t2 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   NAME varchar(150) DEFAULT '' NOT NULL,
   PRIMARY KEY (ID),
   KEY NAME (NAME)
@@ -257,9 +257,9 @@
 # test with table.* in DISTINCT
 #
 
-CREATE TABLE t1 (privatemessageid int(10) unsigned NOT NULL auto_increment,  folderid smallint(6) NOT NULL default '0',  userid int(10) unsigned NOT NULL default '0',  touserid int(10) unsigned NOT NULL default '0',  fromuserid int(10) unsigned NOT NULL default '0',  title varchar(250) NOT NULL default '',  message mediumtext NOT NULL,  dateline int(10) unsigned NOT NULL default '0',  showsignature smallint(6) NOT NULL default '0',  iconid smallint(5) unsigned NOT NULL default '0',  messageread smallint(6) NOT NULL default '0',  readtime int(10) unsigned NOT NULL default '0',  receipt smallint(6) unsigned NOT NULL default '0',  deleteprompt smallint(6) unsigned NOT NULL default '0',  multiplerecipients smallint(6) unsigned NOT NULL default '0',  PRIMARY KEY  (privatemessageid),  KEY userid (userid)) ENGINE=MyISAM;
+CREATE TABLE t1 (privatemessageid int unsigned NOT NULL auto_increment,  folderid smallint NOT NULL default '0',  userid int unsigned NOT NULL default '0',  touserid int unsigned NOT NULL default '0',  fromuserid int unsigned NOT NULL default '0',  title varchar(250) NOT NULL default '',  message mediumtext NOT NULL,  dateline int unsigned NOT NULL default '0',  showsignature smallint NOT NULL default '0',  iconid smallint unsigned NOT NULL default '0',  messageread smallint NOT NULL default '0',  readtime int unsigned NOT NULL default '0',  receipt smallint unsigned NOT NULL default '0',  deleteprompt smallint unsigned NOT NULL default '0',  multiplerecipients smallint unsigned NOT NULL default '0',  PRIMARY KEY  (privatemessageid),  KEY userid (userid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (128,0,33,33,8,':D','',996121863,1,0,2,996122850,2,0,0);
-CREATE TABLE t2 (userid int(10) unsigned NOT NULL auto_increment,  usergroupid smallint(5) unsigned NOT NULL default '0',  username varchar(50) NOT NULL default '',  password varchar(50) NOT NULL default '',  email varchar(50) NOT NULL default '',  styleid smallint(5) unsigned NOT NULL default '0',  parentemail varchar(50) NOT NULL default '',  coppauser smallint(6) NOT NULL default '0',  homepage varchar(100) NOT NULL default '',  icq varchar(20) NOT NULL default '',  aim varchar(20) NOT NULL default '',  yahoo varchar(20) NOT NULL default '',  signature mediumtext NOT NULL,  adminemail smallint(6) NOT NULL default '0',  showemail smallint(6) NOT NULL default '0',  invisible smallint(6) NOT NULL default '0',  usertitle varchar(250) NOT NULL default '',  customtitle smallint(6) NOT NULL default '0',  joindate int(10) unsigned NOT NULL default '0',  cookieuser smallint(6) NOT NULL default '0',  daysprune smallint(6) NOT NULL default '0',  lastvisit int(10) unsigned NOT NULL default '0',  lastactivity int(10) unsigned NOT NULL default '0',  lastpost int(10) unsigned NOT NULL default '0',  posts smallint(5) unsigned NOT NULL default '0',  timezoneoffset varchar(4) NOT NULL default '',  emailnotification smallint(6) NOT NULL default '0',  buddylist mediumtext NOT NULL,  ignorelist mediumtext NOT NULL,  pmfolders mediumtext NOT NULL,  receivepm smallint(6) NOT NULL default '0',  emailonpm smallint(6) NOT NULL default '0',  pmpopup smallint(6) NOT NULL default '0',  avatarid smallint(6) NOT NULL default '0',  avatarrevision int(6) unsigned NOT NULL default '0',  options smallint(6) NOT NULL default '15',  birthday date NOT NULL default '0000-00-00',  maxposts smallint(6) NOT NULL default '-1',  startofweek smallint(6) NOT NULL default '1',  ipaddress varchar(20) NOT NULL default '',  referrerid int(10) unsigned NOT NULL default '0',  nosessionhash smallint(6) NOT NULL default '0',  autorefresh smallint(6) NOT NULL default '-1',  messagepopup tinyint(2) NOT NULL default '0',  inforum smallint(5) unsigned NOT NULL default '0',  ratenum smallint(5) unsigned NOT NULL default '0',  ratetotal smallint(5) unsigned NOT NULL default '0',  allowrate smallint(5) unsigned NOT NULL default '1',  PRIMARY KEY  (userid),  KEY usergroupid (usergroupid),  KEY username (username),  KEY inforum (inforum)) ENGINE=MyISAM;
+CREATE TABLE t2 (userid int unsigned NOT NULL auto_increment,  usergroupid smallint unsigned NOT NULL default '0',  username varchar(50) NOT NULL default '',  password varchar(50) NOT NULL default '',  email varchar(50) NOT NULL default '',  styleid smallint unsigned NOT NULL default '0',  parentemail varchar(50) NOT NULL default '',  coppauser smallint NOT NULL default '0',  homepage varchar(100) NOT NULL default '',  icq varchar(20) NOT NULL default '',  aim varchar(20) NOT NULL default '',  yahoo varchar(20) NOT NULL default '',  signature mediumtext NOT NULL,  adminemail smallint NOT NULL default '0',  showemail smallint NOT NULL default '0',  invisible smallint NOT NULL default '0',  usertitle varchar(250) NOT NULL default '',  customtitle smallint NOT NULL default '0',  joindate int unsigned NOT NULL default '0',  cookieuser smallint NOT NULL default '0',  daysprune smallint NOT NULL default '0',  lastvisit int unsigned NOT NULL default '0',  lastactivity int unsigned NOT NULL default '0',  lastpost int unsigned NOT NULL default '0',  posts smallint unsigned NOT NULL default '0',  timezoneoffset varchar(4) NOT NULL default '',  emailnotification smallint NOT NULL default '0',  buddylist mediumtext NOT NULL,  ignorelist mediumtext NOT NULL,  pmfolders mediumtext NOT NULL,  receivepm smallint NOT NULL default '0',  emailonpm smallint NOT NULL default '0',  pmpopup smallint NOT NULL default '0',  avatarid smallint NOT NULL default '0',  avatarrevision int unsigned NOT NULL default '0',  options smallint NOT NULL default '15',  birthday date NOT NULL default '0000-00-00',  maxposts smallint NOT NULL default '-1',  startofweek smallint NOT NULL default '1',  ipaddress varchar(20) NOT NULL default '',  referrerid int unsigned NOT NULL default '0',  nosessionhash smallint NOT NULL default '0',  autorefresh smallint NOT NULL default '-1',  messagepopup tinyint NOT NULL default '0',  inforum smallint unsigned NOT NULL default '0',  ratenum smallint unsigned NOT NULL default '0',  ratetotal smallint unsigned NOT NULL default '0',  allowrate smallint unsigned NOT NULL default '1',  PRIMARY KEY  (userid),  KEY usergroupid (usergroupid),  KEY username (username),  KEY inforum (inforum)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (33,6,'Kevin','0','kevin@stileproject.com',1,'',0,'http://www.stileproject.com','','','','',1,1,0,'Administrator',0,996120694,1,-1,1030996168,1031027028,1030599436,36,'-6',0,'','','',1,0,1,0,0,15,'0000-00-00',-1,1,'64.0.0.0',0,1,-1,0,0,4,19,1);
 SELECT DISTINCT t1.*, t2.* FROM t1 LEFT JOIN t2 ON (t2.userid = t1.touserid);
 DROP TABLE t1,t2;
@@ -279,7 +279,7 @@
 # Test of LEFT() with distinct
 #
 
-CREATE table t1 (  `id` int(11) NOT NULL auto_increment,  `name` varchar(50) NOT NULL default '',  PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
+CREATE table t1 (  `id` int NOT NULL auto_increment,  `name` varchar(50) NOT NULL default '',  PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
 INSERT INTO t1 VALUES (1, 'aaaaa');
 INSERT INTO t1 VALUES (3, 'aaaaa');
 INSERT INTO t1 VALUES (2, 'eeeeeee');
@@ -291,9 +291,9 @@
 #
 
 CREATE TABLE t1 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   NAME varchar(75) DEFAULT '' NOT NULL,
-  LINK_ID int(11) DEFAULT '0' NOT NULL,
+  LINK_ID int DEFAULT '0' NOT NULL,
   PRIMARY KEY (ID),
   KEY NAME (NAME),
   KEY LINK_ID (LINK_ID)
@@ -304,7 +304,7 @@
 INSERT INTO t1 (ID, NAME, LINK_ID) VALUES (3,'Bill',0);
 
 CREATE TABLE t2 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   NAME varchar(150) DEFAULT '' NOT NULL,
   PRIMARY KEY (ID),
   KEY NAME (NAME)
@@ -325,8 +325,8 @@
 
 CREATE TABLE t1 (
   html varchar(5) default NULL,
-  rin int(11) default '0',
-  rout int(11) default '0'
+  rin int default '0',
+  rout int default '0'
 ) ENGINE=MyISAM;
 
 INSERT INTO t1 VALUES ('1',1,0);
@@ -404,7 +404,7 @@
 # Bug #15745 ( COUNT(DISTINCT CONCAT(x,y)) returns wrong result)
 #
 CREATE TABLE t1 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   x varchar(20) default NULL,
   y decimal(10,0) default NULL,
   PRIMARY KEY  (ID),

=== modified file 'tests/t/information_schema.test'
--- tests/t/information_schema.test	2008-07-07 16:07:49 +0000
+++ tests/t/information_schema.test	2008-07-28 19:08:55 +0000
@@ -329,8 +329,8 @@
 #
 # Bug#23299 Some queries against INFORMATION_SCHEMA with subqueries fail
 #
-create table t1 (f1 int(11));
-create table t2 (f1 int(11), f2 int(11));
+create table t1 (f1 int);
+create table t2 (f1 int, f2 int);
 
 select table_name from information_schema.tables
 where table_schema = 'test' and table_name not in

=== modified file 'tests/t/join.test'
--- tests/t/join.test	2008-07-20 09:02:20 +0000
+++ tests/t/join.test	2008-07-28 19:08:55 +0000
@@ -62,10 +62,10 @@
 #
 
 CREATE TABLE t1 (
-  id int(11) NOT NULL auto_increment,
+  id int NOT NULL auto_increment,
   token varchar(100) DEFAULT '' NOT NULL,
-  count int(11) DEFAULT '0' NOT NULL,
-  qty int(11),
+  count int DEFAULT '0' NOT NULL,
+  qty int,
   phone char(1) DEFAULT '' NOT NULL,
   timestamp datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id),
@@ -87,12 +87,12 @@
 INSERT INTO t1 VALUES (29,'a71250b7ed780f6ef3185bfffe027983',4,17700,'b','1999-12-27 09:45:05');
 
 CREATE TABLE t2 (
-  id int(11) NOT NULL auto_increment,
-  category int(11) DEFAULT '0' NOT NULL,
-  county int(11) DEFAULT '0' NOT NULL,
-  state int(11) DEFAULT '0' NOT NULL,
-  phones int(11) DEFAULT '0' NOT NULL,
-  nophones int(11) DEFAULT '0' NOT NULL,
+  id int NOT NULL auto_increment,
+  category int DEFAULT '0' NOT NULL,
+  county int DEFAULT '0' NOT NULL,
+  state int DEFAULT '0' NOT NULL,
+  phones int DEFAULT '0' NOT NULL,
+  nophones int DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   KEY category (category,county,state)
 );
@@ -127,15 +127,15 @@
 #
  
 CREATE TABLE t1 (
-  a int(11) NOT NULL,
-  b int(11) NOT NULL,
+  a int NOT NULL,
+  b int NOT NULL,
   PRIMARY KEY  (a,b)
 ) ENGINE=MyISAM;
  
 INSERT INTO t1 VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(2,3);
  
 CREATE TABLE t2 (
-  a int(11) default NULL
+  a int default NULL
 ) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2),(3);
 SELECT t1.a,t2.a,b FROM t1,t2 WHERE t1.a=t2.a AND (t1.a=1 OR t1.a=2) AND b>=1 AND b<=3;
@@ -175,7 +175,7 @@
   Language_ID char(3) NOT NULL default '',
   Document_ID char(50) NOT NULL default '',
   CanRead char(1) default NULL,
-  Customer_ID int(11) NOT NULL default '0',
+  Customer_ID int NOT NULL default '0',
   PRIMARY KEY  (Contractor_ID,Language_ID,Document_ID,Customer_ID)
 );
 
@@ -232,18 +232,18 @@
 #
 
 CREATE TABLE t1 (
-  t1_id int(11) default NULL,
-  t2_id int(11) default NULL,
+  t1_id int default NULL,
+  t2_id int default NULL,
   type enum('Cost','Percent') default NULL,
   cost_unit enum('Cost','Unit') default NULL,
   min_value double default NULL,
   max_value double default NULL,
-  t3_id int(11) default NULL,
-  item_id int(11) default NULL
+  t3_id int default NULL,
+  item_id int default NULL
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (12,5,'Percent','Cost',-1,0,-1,-1),(14,4,'Percent','Cost',-1,0,-1,-1),(18,5,'Percent','Cost',-1,0,-1,-1),(19,4,'Percent','Cost',-1,0,-1,-1),(20,5,'Percent','Cost',100,-1,22,291),(21,5,'Percent','Cost',100,-1,18,291),(22,1,'Percent','Cost',100,-1,6,291),(23,1,'Percent','Cost',100,-1,21,291),(24,1,'Percent','Cost',100,-1,9,291),(25,1,'Percent','Cost',100,-1,4,291),(26,1,'Percent','Cost',100,-1,20,291),(27,4,'Percent','Cost',100,-1,7,202),(28,1,'Percent','Cost',50,-1,-1,137),(29,2,'Percent','Cost',100,-1,4,354),(30,2,'Percent','Cost',100,-1,9,137),(93,2,'Cost','Cost',-1,10000000,-1,-1);
 CREATE TABLE t2 (
-  id int(10) unsigned NOT NULL auto_increment,
+  id int unsigned NOT NULL auto_increment,
   name varchar(255) default NULL,
   PRIMARY KEY  (id)
 ) ENGINE=MyISAM;

=== modified file 'tests/t/join_crash.test'
--- tests/t/join_crash.test	2008-06-25 05:29:13 +0000
+++ tests/t/join_crash.test	2008-07-28 19:08:55 +0000
@@ -7,13 +7,13 @@
 --enable_warnings
 
 CREATE TABLE t1 (
-  project_id int(11) NOT NULL auto_increment,
-  project_row_lock int(11) NOT NULL default '0',
+  project_id int NOT NULL auto_increment,
+  project_row_lock int NOT NULL default '0',
   project_name varchar(80) NOT NULL default '',
-  client_ptr int(11) NOT NULL default '0',
-  project_contact_ptr int(11) default NULL,
-  client_contact_ptr int(11) default NULL,
-  billing_contact_ptr int(11) default NULL,
+  client_ptr int NOT NULL default '0',
+  project_contact_ptr int default NULL,
+  client_contact_ptr int default NULL,
+  billing_contact_ptr int default NULL,
   comments mediumtext,
   PRIMARY KEY  (project_id),
   UNIQUE KEY project (client_ptr,project_name)
@@ -31,12 +31,12 @@
 INSERT INTO t1 VALUES (201,0,'TravelMate',88,NULL,NULL,NULL,'');
 
 CREATE TABLE t2 (
-  period_id int(11) NOT NULL auto_increment,
+  period_id int NOT NULL auto_increment,
   period_type enum('user_table','client_table','role_table','member_table','project_table') default NULL,
-  period_key int(11) default NULL,
+  period_key int default NULL,
   start_date datetime default NULL,
   end_date datetime default NULL,
-  work_load int(11) default NULL,
+  work_load int default NULL,
   PRIMARY KEY  (period_id),
   KEY period_index (period_type,period_key),
   KEY date_index (start_date,end_date)
@@ -59,8 +59,8 @@
 INSERT INTO t2 VALUES (162,'member_table',3,'2000-01-01 00:00:00',NULL,1);
 
 CREATE TABLE t3 (
-  budget_id int(11) NOT NULL auto_increment,
-  project_ptr int(11) NOT NULL default '0',
+  budget_id int NOT NULL auto_increment,
+  project_ptr int NOT NULL default '0',
   po_number varchar(20) NOT NULL default '',
   status enum('open','closed') default NULL,
   date_received datetime default NULL,
@@ -71,10 +71,10 @@
 ) ENGINE=MyISAM PACK_KEYS=1;
 
 CREATE TABLE t4 (
-  client_id int(11) NOT NULL auto_increment,
-  client_row_lock int(11) NOT NULL default '0',
+  client_id int NOT NULL auto_increment,
+  client_row_lock int NOT NULL default '0',
   client_name varchar(80) NOT NULL default '',
-  contact_ptr int(11) default NULL,
+  contact_ptr int default NULL,
   comments mediumtext,
   PRIMARY KEY  (client_id),
   UNIQUE KEY client_name (client_name)

=== modified file 'tests/t/join_nested.test'
--- tests/t/join_nested.test	2008-06-25 05:29:13 +0000
+++ tests/t/join_nested.test	2008-07-28 19:08:55 +0000
@@ -929,7 +929,7 @@
  
 CREATE TABLE t4 (
   carrier char(2) NOT NULL default '' PRIMARY KEY,
-  id int(11) default NULL,
+  id int default NULL,
   INDEX id(id)
 );
 INSERT INTO t4 VALUES

=== modified file 'tests/t/join_outer.test'
--- tests/t/join_outer.test	2008-07-06 03:24:37 +0000
+++ tests/t/join_outer.test	2008-07-28 19:08:55 +0000
@@ -7,8 +7,8 @@
 --enable_warnings
 
 CREATE TABLE t1 (
-  grp int(11) default NULL,
-  a bigint(20) unsigned default NULL,
+  grp int default NULL,
+  a bigint unsigned default NULL,
   c char(10) NOT NULL default ''
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1,1,'a'),(2,2,'b'),(2,3,'c'),(3,4,'E'),(3,5,'C'),(3,6,'D'),(NULL,NULL,'');
@@ -116,15 +116,15 @@
 #
 
 CREATE TABLE t1 (
-  cod_asig int(11) DEFAULT '0' NOT NULL,
+  cod_asig int DEFAULT '0' NOT NULL,
   desc_larga_cat varchar(80) DEFAULT '' NOT NULL,
   desc_larga_cas varchar(80) DEFAULT '' NOT NULL,
   desc_corta_cat varchar(40) DEFAULT '' NOT NULL,
   desc_corta_cas varchar(40) DEFAULT '' NOT NULL,
   cred_total double(3,1) DEFAULT '0.0' NOT NULL,
-  pre_requisit int(11),
-  co_requisit int(11),
-  preco_requisit int(11),
+  pre_requisit int,
+  co_requisit int,
+  preco_requisit int,
   PRIMARY KEY (cod_asig)
 );
 
@@ -138,10 +138,10 @@
 INSERT INTO t1 VALUES (11406,'Calcul Infinitesimal','Cßlculo Infinitesimal','Calcul Infinitesimal','Calcul Infinitesimal',15.0,NULL,NULL,NULL);
 
 CREATE TABLE t2 (
-  idAssignatura int(11) DEFAULT '0' NOT NULL,
-  Grup int(11) DEFAULT '0' NOT NULL,
-  Places smallint(6) DEFAULT '0' NOT NULL,
-  PlacesOcupades int(11) DEFAULT '0',
+  idAssignatura int DEFAULT '0' NOT NULL,
+  Grup int DEFAULT '0' NOT NULL,
+  Places smallint DEFAULT '0' NOT NULL,
+  PlacesOcupades int DEFAULT '0',
   PRIMARY KEY (idAssignatura,Grup)
 );
 
@@ -173,12 +173,12 @@
 INSERT INTO t2 VALUES (11409,0,0,0);
 
 CREATE TABLE t3 (
-  id int(11) NOT NULL auto_increment,
+  id int NOT NULL auto_increment,
   dni_pasaporte char(16) DEFAULT '' NOT NULL,
-  idPla int(11) DEFAULT '0' NOT NULL,
-  cod_asig int(11) DEFAULT '0' NOT NULL,
-  any smallint(6) DEFAULT '0' NOT NULL,
-  quatrimestre smallint(6) DEFAULT '0' NOT NULL,
+  idPla int DEFAULT '0' NOT NULL,
+  cod_asig int DEFAULT '0' NOT NULL,
+  any smallint DEFAULT '0' NOT NULL,
+  quatrimestre smallint DEFAULT '0' NOT NULL,
   estat char(1) DEFAULT 'M' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE dni_pasaporte (dni_pasaporte,idPla),
@@ -188,10 +188,10 @@
 INSERT INTO t3 VALUES (1,'11111111',1,10362,98,1,'M');
 
 CREATE TABLE t4 (
-  id int(11) NOT NULL auto_increment,
-  papa int(11) DEFAULT '0' NOT NULL,
-  fill int(11) DEFAULT '0' NOT NULL,
-  idPla int(11) DEFAULT '0' NOT NULL,
+  id int NOT NULL auto_increment,
+  papa int DEFAULT '0' NOT NULL,
+  fill int DEFAULT '0' NOT NULL,
+  idPla int DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   KEY papa (idPla,papa),
   UNIQUE papa_2 (idPla,papa,fill)
@@ -215,7 +215,7 @@
 #
 
 CREATE TABLE t1 (
-  id smallint(5) unsigned NOT NULL auto_increment,
+  id smallint unsigned NOT NULL auto_increment,
   name char(60) DEFAULT '' NOT NULL,
   PRIMARY KEY (id)
 );
@@ -224,8 +224,8 @@
 INSERT INTO t1 VALUES (3,'Thimble Smith');
 
 CREATE TABLE t2 (
-  id smallint(5) unsigned NOT NULL auto_increment,
-  owner smallint(5) unsigned DEFAULT '0' NOT NULL,
+  id smallint unsigned NOT NULL auto_increment,
+  owner smallint unsigned DEFAULT '0' NOT NULL,
   name char(60),
   PRIMARY KEY (id)
 );
@@ -262,26 +262,26 @@
 #
 
 CREATE TABLE t1 (
-  t1_id bigint(21) NOT NULL auto_increment,
+  t1_id bigint NOT NULL auto_increment,
   PRIMARY KEY (t1_id)
 );
 CREATE TABLE t2 (
-  t2_id bigint(21) NOT NULL auto_increment,
+  t2_id bigint NOT NULL auto_increment,
   PRIMARY KEY (t2_id)
 );
 CREATE TABLE t3 (
-  t3_id bigint(21) NOT NULL auto_increment,
+  t3_id bigint NOT NULL auto_increment,
   PRIMARY KEY (t3_id)
 );
 CREATE TABLE t4 (
-  seq_0_id bigint(21) DEFAULT '0' NOT NULL,
-  seq_1_id bigint(21) DEFAULT '0' NOT NULL,
+  seq_0_id bigint DEFAULT '0' NOT NULL,
+  seq_1_id bigint DEFAULT '0' NOT NULL,
   KEY seq_0_id (seq_0_id),
   KEY seq_1_id (seq_1_id)
 );
 CREATE TABLE t5 (
-  seq_0_id bigint(21) DEFAULT '0' NOT NULL,
-  seq_1_id bigint(21) DEFAULT '0' NOT NULL,
+  seq_0_id bigint DEFAULT '0' NOT NULL,
+  seq_1_id bigint DEFAULT '0' NOT NULL,
   KEY seq_1_id (seq_1_id),
   KEY seq_0_id (seq_0_id)
 );
@@ -372,9 +372,9 @@
 #
 
 CREATE TABLE t1 (
-  id int(11),
-  pid int(11),
-  rep_del tinyint(4),
+  id int,
+  pid int,
+  rep_del tinyint,
   KEY id (id),
   KEY pid (pid)
 );
@@ -386,14 +386,14 @@
 drop table t1;
 
 CREATE TABLE t1 (
-  id int(11) DEFAULT '0' NOT NULL,
+  id int DEFAULT '0' NOT NULL,
   name tinytext DEFAULT '' NOT NULL,
   UNIQUE id (id)
 );
 INSERT INTO t1 VALUES (1,'yes'),(2,'no');
 CREATE TABLE t2 (
-  id int(11) DEFAULT '0' NOT NULL,
-  idx int(11) DEFAULT '0' NOT NULL,
+  id int DEFAULT '0' NOT NULL,
+  idx int DEFAULT '0' NOT NULL,
   UNIQUE id (id,idx)
 );
 INSERT INTO t2 VALUES (1,1);
@@ -462,7 +462,7 @@
 
 # Test for BUG#8711 '<=>' was considered to be a NULL-rejecting predicate.
 create table t1 (
-  a int(11),
+  a int,
   b char(10),
   key (a)
 );
@@ -476,8 +476,8 @@
 # Test for BUG#5088
 
 create table t1 (
-  match_id tinyint(3) unsigned not null auto_increment,
-  home tinyint(3) unsigned default '0',
+  match_id tinyint unsigned not null auto_increment,
+  home tinyint unsigned default '0',
   unique key match_id (match_id),
   key match_id_2 (match_id)
 );
@@ -485,8 +485,8 @@
 insert into t1 values("1", "2");
 
 create table t2 (
-  player_id tinyint(3) unsigned default '0',
-  match_1_h tinyint(3) unsigned default '0',
+  player_id tinyint unsigned default '0',
+  match_1_h tinyint unsigned default '0',
   key player_id (player_id)
 );
 
@@ -538,16 +538,16 @@
 drop table t1, t2;
 
 CREATE TABLE t1 (
-  ts_id bigint(20) default NULL,
-  inst_id tinyint(4) default NULL,
+  ts_id bigint default NULL,
+  inst_id tinyint default NULL,
   flag_name varchar(64) default NULL,
   flag_value text,
   UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
 ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 CREATE TABLE t2 (
-  ts_id bigint(20) default NULL,
-  inst_id tinyint(4) default NULL,
+  ts_id bigint default NULL,
+  inst_id tinyint default NULL,
   flag_name varchar(64) default NULL,
   flag_value text,
   UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
@@ -571,8 +571,8 @@
 DROP TABLE t1,t2;
 
 CREATE TABLE t1 (
-  id int(11) unsigned NOT NULL auto_increment,
-  text_id int(10) unsigned default NULL,
+  id int unsigned NOT NULL auto_increment,
+  text_id int unsigned default NULL,
   PRIMARY KEY  (id)
 );
 
@@ -669,11 +669,11 @@
 #
 # BUG#10162 - ON is merged with WHERE, left join is convered to a regular join
 #
-create table t1 (gid smallint(5) unsigned not null, x int(11) not null, y int(11) not null, art int(11) not null, primary key  (gid,x,y));
+create table t1 (gid smallint unsigned not null, x int not null, y int not null, art int not null, primary key  (gid,x,y));
 insert t1 values (1, -5, -8, 2), (1, 2, 2, 1), (1, 1, 1, 1);
-create table t2 (gid smallint(5) unsigned not null, x int(11) not null, y int(11) not null, id int(11) not null, primary key  (gid,id,x,y), key id (id));
+create table t2 (gid smallint unsigned not null, x int not null, y int not null, id int not null, primary key  (gid,id,x,y), key id (id));
 insert t2 values (1, -5, -8, 1), (1, 1, 1, 1), (1, 2, 2, 1);
-create table t3 ( set_id smallint(5) unsigned not null, id tinyint(4) unsigned not null, name char(12) not null, primary key  (id,set_id));
+create table t3 ( set_id smallint unsigned not null, id tinyint unsigned not null, name char(12) not null, primary key  (id,set_id));
 insert t3 values (0, 1, 'a'), (1, 1, 'b'), (0, 2, 'c'), (1, 2, 'd'), (1, 3, 'e'), (1, 4, 'f'), (1, 5, 'g'), (1, 6, 'h');
 explain select name from t1 left join t2 on t1.x = t2.x and t1.y = t2.y
 left join t3 on t1.art = t3.id where t2.id =1 and t2.x = -5 and t2.y =-8

=== modified file 'tests/t/join_outer_innodb.test'
--- tests/t/join_outer_innodb.test	2008-06-25 05:29:13 +0000
+++ tests/t/join_outer_innodb.test	2008-07-28 19:08:55 +0000
@@ -8,9 +8,9 @@
 # Test for bug #17164: ORed FALSE blocked conversion of outer join into join
 # 
 
-CREATE TABLE t1 (id int(11) NOT NULL PRIMARY KEY, name varchar(20),
+CREATE TABLE t1 (id int NOT NULL PRIMARY KEY, name varchar(20),
                  INDEX (name)) ENGINE=InnoDB;
-CREATE TABLE t2 (id int(11) NOT NULL PRIMARY KEY, fkey int(11),
+CREATE TABLE t2 (id int NOT NULL PRIMARY KEY, fkey int,
                  FOREIGN KEY (fkey) REFERENCES t2(id)) ENGINE=InnoDB;
 INSERT INTO t1 VALUES (1,'A1'),(2,'A2'),(3,'B');
 INSERT INTO t2 VALUES (1,1),(2,2),(3,2),(4,3),(5,3);

=== modified file 'tests/t/lock.test'
--- tests/t/lock.test	2008-07-07 16:07:49 +0000
+++ tests/t/lock.test	2008-07-28 19:08:55 +0000
@@ -5,7 +5,7 @@
 --disable_warnings
 drop table if exists t1,t2;
 --enable_warnings
-CREATE TABLE t1 (  `id` int(11) NOT NULL default '0', `id2` int(11) NOT NULL default '0', `id3` int(11) NOT NULL default '0', `dummy1` char(30) default NULL, PRIMARY KEY  (`id`,`id2`), KEY `index_id3` (`id3`)) ENGINE=MyISAM;
+CREATE TABLE t1 (  `id` int NOT NULL default '0', `id2` int NOT NULL default '0', `id3` int NOT NULL default '0', `dummy1` char(30) default NULL, PRIMARY KEY  (`id`,`id2`), KEY `index_id3` (`id3`)) ENGINE=MyISAM;
 insert into t1 (id,id2) values (1,1),(1,2),(1,3);
 LOCK TABLE t1 WRITE;
 select dummy1,count(distinct id) from t1 group by dummy1;
@@ -30,13 +30,13 @@
 #
 
 CREATE TABLE t1 (
-  index1 smallint(6) default NULL,
-  nr smallint(6) default NULL,
+  index1 smallint default NULL,
+  nr smallint default NULL,
   KEY index1(index1)
 ) ENGINE=MyISAM;
 
 CREATE TABLE t2 (
-  nr smallint(6) default NULL,
+  nr smallint default NULL,
   name varchar(20) default NULL
 ) ENGINE=MyISAM;
 
@@ -84,8 +84,8 @@
 
 # Bug7241 - Invalid response when DELETE .. USING and LOCK TABLES used.
 #
-create table t1 ( a int(11) not null auto_increment, primary key(a));
-create table t2 ( a int(11) not null auto_increment, primary key(a));
+create table t1 ( a int not null auto_increment, primary key(a));
+create table t2 ( a int not null auto_increment, primary key(a));
 lock tables t1 write, t2 read;
 delete from t1 using t1,t2 where t1.a=t2.a;
 delete t1 from t1,t2 where t1.a=t2.a;

=== modified file 'tests/t/select.test'
--- tests/t/select.test	2008-07-25 01:03:11 +0000
+++ tests/t/select.test	2008-07-28 19:08:55 +0000
@@ -13,8 +13,8 @@
 --enable_warnings
 
 CREATE TABLE t1 (
-  Period smallint(4) unsigned DEFAULT '0' NOT NULL,
-  Varor_period smallint(4) unsigned DEFAULT '0' NOT NULL
+  Period smallint unsigned DEFAULT '0' NOT NULL,
+  Varor_period smallint unsigned DEFAULT '0' NOT NULL
 );
 
 INSERT INTO t1 VALUES (9410,9412);
@@ -29,8 +29,8 @@
 
 CREATE TABLE t2 (
   auto int not null auto_increment,
-  fld1 int(6) unsigned DEFAULT '0' NOT NULL,
-  companynr tinyint(2) unsigned DEFAULT '0' NOT NULL,
+  fld1 int unsigned DEFAULT '0' NOT NULL,
+  companynr tinyint unsigned DEFAULT '0' NOT NULL,
   fld3 char(30) DEFAULT '' NOT NULL,
   fld4 char(35) DEFAULT '' NOT NULL,
   fld5 char(35) DEFAULT '' NOT NULL,
@@ -1496,7 +1496,7 @@
 #
 
 create table t4 (
-  companynr tinyint(2) unsigned NOT NULL default '0',
+  companynr tinyint unsigned NOT NULL default '0',
   companyname char(30) NOT NULL default '',
   PRIMARY KEY (companynr),
   UNIQUE KEY companyname(companyname)
@@ -1771,7 +1771,7 @@
 #
 
 CREATE TABLE t1 (
-  id bigint(8) unsigned NOT NULL auto_increment,
+  id bigint unsigned NOT NULL auto_increment,
   pseudo varchar(35) NOT NULL default '',
   PRIMARY KEY  (id),
   UNIQUE KEY pseudo (pseudo)
@@ -1785,9 +1785,9 @@
 # Test of bug with SUM(CASE...)
 #
 
-CREATE TABLE t1 (gvid int(10) unsigned default NULL,  hmid int(10) unsigned default NULL,  volid int(10) unsigned default NULL,  mmid int(10) unsigned default NULL,  hdid int(10) unsigned default NULL,  fsid int(10) unsigned default NULL,  ctid int(10) unsigned default NULL,  dtid int(10) unsigned default NULL,  cost int(10) unsigned default NULL,  performance int(10) unsigned default NULL,  serialnumber bigint(20) unsigned default NULL,  monitored tinyint(3) unsigned default '1',  removed tinyint(3) unsigned default '0',  target tinyint(3) unsigned default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
+CREATE TABLE t1 (gvid int unsigned default NULL,  hmid int unsigned default NULL,  volid int unsigned default NULL,  mmid int unsigned default NULL,  hdid int unsigned default NULL,  fsid int unsigned default NULL,  ctid int unsigned default NULL,  dtid int unsigned default NULL,  cost int unsigned default NULL,  performance int unsigned default NULL,  serialnumber bigint unsigned default NULL,  monitored tinyint unsigned default '1',  removed tinyint unsigned default '0',  target tinyint unsigned default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (200001,2,1,1,100,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\E$',''),(200002,2,2,1,101,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\C$',''),(200003,1,3,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,20020425060427,'c:',NULL);
-CREATE TABLE t2 (  hmid int(10) unsigned default NULL,  volid int(10) unsigned default NULL,  sampletid smallint(5) unsigned default NULL,  sampletime datetime default NULL,  samplevalue bigint(20) unsigned default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
+CREATE TABLE t2 (  hmid int unsigned default NULL,  volid int unsigned default NULL,  sampletid smallint unsigned default NULL,  sampletime datetime default NULL,  samplevalue bigint unsigned default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,3,10,'2002-06-01 08:00:00',35),(1,3,1010,'2002-06-01 12:00:01',35);
 # Disable PS becasue we get more warnings from PS than from normal execution
 --disable_ps_protocol
@@ -1801,7 +1801,7 @@
 # Test of bigint comparision
 #
 
-create table  t1 (  A_Id bigint(20) NOT NULL default '0',  A_UpdateBy char(10) NOT NULL default '',  A_UpdateDate bigint(20) NOT NULL default '0',  A_UpdateSerial int(11) NOT NULL default '0',  other_types bigint(20) NOT NULL default '0',  wss_type bigint(20) NOT NULL default '0');
+create table  t1 (  A_Id bigint NOT NULL default '0',  A_UpdateBy char(10) NOT NULL default '',  A_UpdateDate bigint NOT NULL default '0',  A_UpdateSerial int NOT NULL default '0',  other_types bigint NOT NULL default '0',  wss_type bigint NOT NULL default '0');
 INSERT INTO t1 VALUES (102935998719055004,'brade',1029359987,2,102935229116544068,102935229216544093);
 select wss_type from t1 where wss_type ='102935229216544106';
 select wss_type from t1 where wss_type ='102935229216544105';
@@ -1859,9 +1859,9 @@
 select * from (t1 as t2 left join t1 as t3 using (a)) natural join t1;
 drop table t1;
 
-CREATE TABLE t1 (  aa char(2),  id int(11) NOT NULL auto_increment,  t2_id int(11) NOT NULL default '0',  PRIMARY KEY  (id),  KEY replace_id (t2_id)) ENGINE=MyISAM;
+CREATE TABLE t1 (  aa char(2),  id int NOT NULL auto_increment,  t2_id int NOT NULL default '0',  PRIMARY KEY  (id),  KEY replace_id (t2_id)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES ("1",8264,2506),("2",8299,2517),("3",8301,2518),("4",8302,2519),("5",8303,2520),("6",8304,2521),("7",8305,2522);
-CREATE TABLE t2 ( id int(11) NOT NULL auto_increment,  PRIMARY KEY  (id)) ENGINE=MyISAM;
+CREATE TABLE t2 ( id int NOT NULL auto_increment,  PRIMARY KEY  (id)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2517), (2518), (2519), (2520), (2521), (2522);
 select * from t1, t2 WHERE t1.t2_id = t2.id and t1.t2_id > 0   order by t1.id   LIMIT 0, 5;
 drop table t1,t2;
@@ -1920,7 +1920,7 @@
 #
 
 CREATE TABLE t1 (
-  i int(11) NOT NULL default '0',
+  i int NOT NULL default '0',
   c char(10) NOT NULL default '',
   PRIMARY KEY  (i),
   UNIQUE KEY c (c)
@@ -1970,7 +1970,7 @@
 # Bug#7425 inconsistent sort order on unsigned columns result of substraction
 #
 
-create table t1 (a int(11) unsigned, b int(11) unsigned);
+create table t1 (a int unsigned, b int unsigned);
 insert into t1 values (1,0), (1,1), (1,2);
 select a-b  from t1 order by 1;
 select a-b , (a-b < 0)  from t1 order by 1;
@@ -1982,7 +1982,7 @@
 #
 # Bug#8733 server accepts malformed query (multiply mentioned distinct)
 #
-create table t1 (a int(11));
+create table t1 (a int);
 select all all * from t1;
 select distinct distinct * from t1;
 --error 1221
@@ -1995,9 +1995,9 @@
 # Test for BUG#10095
 #
 CREATE TABLE t1 (
-  kunde_intern_id int(10) unsigned NOT NULL default '0',
-  kunde_id int(10) unsigned NOT NULL default '0',
-  FK_firma_id int(10) unsigned NOT NULL default '0',
+  kunde_intern_id int unsigned NOT NULL default '0',
+  kunde_id int unsigned NOT NULL default '0',
+  FK_firma_id int unsigned NOT NULL default '0',
   aktuell enum('Ja','Nein') NOT NULL default 'Ja',
   vorname varchar(128) NOT NULL default '',
   nachname varchar(128) NOT NULL default '',
@@ -2056,7 +2056,7 @@
 # Test for Bug#8009, SELECT failed on bigint unsigned when using HEX
 #
 
-CREATE TABLE t1 (b BIGINT(20) UNSIGNED NOT NULL, PRIMARY KEY (b));
+CREATE TABLE t1 (b BIGINT UNSIGNED NOT NULL, PRIMARY KEY (b));
 INSERT INTO t1 VALUES (0x8000000000000000);
 SELECT b FROM t1 WHERE b=0x8000000000000000;
 DROP TABLE t1;
@@ -2064,12 +2064,12 @@
 #
 # IN with outer join condition (BUG#9393)
 #
-CREATE TABLE `t1` ( `gid` int(11) default NULL, `uid` int(11) default NULL);
+CREATE TABLE `t1` ( `gid` int default NULL, `uid` int default NULL);
 
-CREATE TABLE `t2` ( `ident` int(11) default NULL, `level` char(16) default NULL);
+CREATE TABLE `t2` ( `ident` int default NULL, `level` char(16) default NULL);
 INSERT INTO `t2` VALUES (0,'READ');
 
-CREATE TABLE `t3` ( `id` int(11) default NULL, `name` char(16) default NULL);
+CREATE TABLE `t3` ( `id` int default NULL, `name` char(16) default NULL);
 INSERT INTO `t3` VALUES (1,'fs');
 
 select * from t3 left join t1 on t3.id = t1.uid, t2 where t2.ident in (0, t1.gid, t3.id, 0);
@@ -2078,30 +2078,30 @@
 
 # Test for BUG#11700
 CREATE TABLE t1 (
-  acct_id int(11) NOT NULL default '0',
-  profile_id smallint(6) default NULL,
+  acct_id int NOT NULL default '0',
+  profile_id smallint default NULL,
   UNIQUE KEY t1$acct_id (acct_id),
   KEY t1$profile_id (profile_id)
 );
 INSERT INTO t1 VALUES (132,17),(133,18);
 
 CREATE TABLE t2 (
-  profile_id smallint(6) default NULL,
-  queue_id int(11) default NULL,
-  seq int(11) default NULL,
+  profile_id smallint default NULL,
+  queue_id int default NULL,
+  seq int default NULL,
   KEY t2$queue_id (queue_id)
 );
 INSERT INTO t2 VALUES (17,31,4),(17,30,3),(17,36,2),(17,37,1);
 
 CREATE TABLE t3 (
-  id int(11) NOT NULL default '0',
-  qtype int(11) default NULL,
-  seq int(11) default NULL,
-  warn_lvl int(11) default NULL,
-  crit_lvl int(11) default NULL,
-  rr1 tinyint(4) NOT NULL default '0',
-  rr2 int(11) default NULL,
-  default_queue tinyint(4) NOT NULL default '0',
+  id int NOT NULL default '0',
+  qtype int default NULL,
+  seq int default NULL,
+  warn_lvl int default NULL,
+  crit_lvl int default NULL,
+  rr1 tinyint NOT NULL default '0',
+  rr2 int default NULL,
+  default_queue tinyint NOT NULL default '0',
   KEY t3$qtype (qtype),
   KEY t3$id (id)
 );
@@ -2334,7 +2334,7 @@
 CREATE TABLE t1 ( 
 K2C4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '', 
 K4N4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '0000', 
-F2I4 int(11) NOT NULL default '0' 
+F2I4 int NOT NULL default '0' 
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
 INSERT INTO t1 VALUES 
@@ -2424,7 +2424,7 @@
 #
 # Bug #11398 Bug in field_conv() results in wrong result of join with index
 #
-create table t1 (f1 varchar(6) default NULL, f2 int(6) primary key not null);
+create table t1 (f1 varchar(6) default NULL, f2 int primary key not null);
 create table t2 (f3 varchar(5) not null, f4 varchar(5) not null, UNIQUE KEY UKEY (f3,f4));
 insert into t1 values (" 2", 2);
 insert into t2 values (" 2", " one "),(" 2", " two ");
@@ -2446,9 +2446,9 @@
 #           incorrect transformation to join ... on.
 #
 
-create table t1 (a int(10), t1_val int(10));
-create table t2 (b int(10), t2_val int(10));
-create table t3 (a int(10), b int(10));
+create table t1 (a int, t1_val int);
+create table t2 (b int, t2_val int);
+create table t3 (a int, b int);
 insert into t1 values (1,1),(2,2);
 insert into t2 values (1,1),(2,2),(3,3);
 insert into t3 values (1,1),(2,1),(3,1),(4,1);
@@ -2496,8 +2496,8 @@
 # Bug #13067 JOIN xxx USING is case sensitive
 #
 
-create table t1 (a int(10),b int(10));
-create table t2 (a int(10),b int(10));
+create table t1 (a int,b int);
+create table t2 (a int,b int);
 insert into t1 values (1,10),(2,20),(3,30);
 insert into t2 values (1,10);
 # both queries should produce the same result
@@ -2545,11 +2545,11 @@
 # nested right join.
 #
 
-create table t1 (id int(11) not null default '0');
+create table t1 (id int not null default '0');
 insert into t1 values (123),(191),(192);
 create table t2 (id char(16) character set utf8 not null);
 insert into t2 values ('58013'),('58014'),('58015'),('58016');
-create table t3 (a_id int(11) not null, b_id char(16) character set utf8);
+create table t3 (a_id int not null, b_id char(16) character set utf8);
 insert into t3 values (123,null),(123,null),(123,null),(123,null),(123,null),(123,'58013');
 
 # both queries are equivalent
@@ -3198,10 +3198,10 @@
 #
 
 CREATE TABLE t1 (
-  c1 int(11) NOT NULL AUTO_INCREMENT,
+  c1 int NOT NULL AUTO_INCREMENT,
   c2 varchar(1000) DEFAULT NULL,
-  c3 bigint(20) DEFAULT NULL,
-  c4 bigint(20) DEFAULT NULL,
+  c3 bigint DEFAULT NULL,
+  c4 bigint DEFAULT NULL,
   PRIMARY KEY (c1)
 );
 

=== modified file 'tests/t/subselect.test'
--- tests/t/subselect.test	2008-07-25 01:12:08 +0000
+++ tests/t/subselect.test	2008-07-28 19:08:55 +0000
@@ -169,7 +169,7 @@
 
 #searchconthardwarefr3 forumconthardwarefr7
 CREATE TABLE `t1` (
-  `topic` bigint(8) unsigned NOT NULL default '0',
+  `topic` bigint unsigned NOT NULL default '0',
   `date` date NOT NULL default '0000-00-00',
   `pseudo` varchar(35) character set latin1 NOT NULL default '',
   PRIMARY KEY  (`pseudo`,`date`,`topic`),
@@ -189,8 +189,8 @@
 
 #forumconthardwarefr7 searchconthardwarefr7
 CREATE TABLE `t1` (
-  `numeropost` bigint(8) unsigned NOT NULL auto_increment,
-  `maxnumrep` int(10) unsigned NOT NULL default '0',
+  `numeropost` bigint unsigned NOT NULL auto_increment,
+  `maxnumrep` int unsigned NOT NULL default '0',
   PRIMARY KEY  (`numeropost`),
   UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM ROW_FORMAT=FIXED;
@@ -199,7 +199,7 @@
 
 CREATE TABLE `t2` (
       `mot` varchar(30) NOT NULL default '',
-      `topic` bigint(8) unsigned NOT NULL default '0',
+      `topic` bigint unsigned NOT NULL default '0',
       `date` date NOT NULL default '0000-00-00',
       `pseudo` varchar(35) NOT NULL default '',
        PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`)
@@ -232,8 +232,8 @@
 
 #forumconthardwarefr7
 CREATE TABLE `t1` (
-  `numeropost` bigint(8) unsigned NOT NULL auto_increment,
-  `maxnumrep` int(10) unsigned NOT NULL default '0',
+  `numeropost` bigint unsigned NOT NULL auto_increment,
+  `maxnumrep` int unsigned NOT NULL default '0',
   PRIMARY KEY  (`numeropost`),
   UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM ROW_FORMAT=FIXED;
@@ -259,8 +259,8 @@
 
 # threadhardwarefr7
 CREATE TABLE `t1` (
-  `numeropost` bigint(8) unsigned NOT NULL default '0',
-  `numreponse` int(10) unsigned NOT NULL auto_increment,
+  `numeropost` bigint unsigned NOT NULL default '0',
+  `numreponse` int unsigned NOT NULL auto_increment,
   `pseudo` varchar(35) NOT NULL default '',
   PRIMARY KEY  (`numeropost`,`numreponse`),
   UNIQUE KEY `numreponse` (`numreponse`),
@@ -278,7 +278,7 @@
 EXPLAIN EXTENDED SELECT numreponse FROM t1 WHERE numeropost='1' AND numreponse=(SELECT MAX(numreponse) FROM t1 WHERE numeropost='1');
 drop table t1;
 
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1);
 SELECT 1 FROM (SELECT a FROM t1) b HAVING (SELECT b.a)=1;
 drop table t1;
@@ -391,7 +391,7 @@
 -- error 1096
 SELECT * FROM (SELECT 1) b WHERE 1 IN (SELECT *);
 
-CREATE TABLE t2 (id int(11) default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t2 VALUES (1),(2);
 SELECT * FROM t2 WHERE id IN (SELECT 1);
 EXPLAIN EXTENDED SELECT * FROM t2 WHERE id IN (SELECT 1);
@@ -406,7 +406,7 @@
 -- error 1093
 INSERT INTO t2 VALUES ((SELECT id FROM t2));
 SELECT * FROM t2;
-CREATE TABLE t1 (id int(11) default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 values (1),(1);
 -- error 1242
 UPDATE t2 SET id=(SELECT * FROM t1);
@@ -462,13 +462,13 @@
 # Null with keys
 #
 
-CREATE TABLE t1 (a int(11) NOT NULL default '0', PRIMARY KEY  (a));
-CREATE TABLE t2 (a int(11) default '0', INDEX (a));
+CREATE TABLE t1 (a int NOT NULL default '0', PRIMARY KEY  (a));
+CREATE TABLE t2 (a int default '0', INDEX (a));
 INSERT INTO t1 VALUES (1),(2),(3),(4);
 INSERT INTO t2 VALUES (1),(2),(3);
 SELECT t1.a, t1.a in (select t2.a from t2) FROM t1;
 explain extended SELECT t1.a, t1.a in (select t2.a from t2) FROM t1;
-CREATE TABLE t3 (a int(11) default '0');
+CREATE TABLE t3 (a int default '0');
 INSERT INTO t3 VALUES (1),(2),(3);
 SELECT t1.a, t1.a in (select t2.a from t2,t3 where t3.a=t2.a) FROM t1;
 explain extended SELECT t1.a, t1.a in (select t2.a from t2,t3 where t3.a=t2.a) FROM t1;
@@ -507,7 +507,7 @@
 drop table t1;
 
 #test of uncacheable subqueries
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 EXPLAIN EXTENDED SELECT (SELECT RAND() FROM t1) FROM t1;
 EXPLAIN EXTENDED SELECT (SELECT ENCRYPT('test') FROM t1) FROM t1;
 EXPLAIN EXTENDED SELECT (SELECT BENCHMARK(1,1) FROM t1) FROM t1;
@@ -516,7 +516,7 @@
 
 CREATE TABLE `t1` (
   `mot` varchar(30) character set latin1 NOT NULL default '',
-  `topic` bigint(8) unsigned NOT NULL default '0',
+  `topic` bigint unsigned NOT NULL default '0',
   `date` date NOT NULL default '0000-00-00',
   `pseudo` varchar(35) character set latin1 NOT NULL default '',
   PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
@@ -526,7 +526,7 @@
 
 CREATE TABLE `t2` (
   `mot` varchar(30) character set latin1 NOT NULL default '',
-  `topic` bigint(8) unsigned NOT NULL default '0',
+  `topic` bigint unsigned NOT NULL default '0',
   `date` date NOT NULL default '0000-00-00',
   `pseudo` varchar(35) character set latin1 NOT NULL default '',
   PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
@@ -535,8 +535,8 @@
 ) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
 
 CREATE TABLE `t3` (
-  `numeropost` bigint(8) unsigned NOT NULL auto_increment,
-  `maxnumrep` int(10) unsigned NOT NULL default '0',
+  `numeropost` bigint unsigned NOT NULL auto_increment,
+  `maxnumrep` int unsigned NOT NULL default '0',
   PRIMARY KEY  (`numeropost`),
   UNIQUE KEY `maxnumrep` (`maxnumrep`)
 ) ENGINE=MyISAM CHARSET=latin1;
@@ -587,11 +587,11 @@
 #
 
 CREATE TABLE t1 (
-  ID int(11) NOT NULL auto_increment,
+  ID int NOT NULL auto_increment,
   name char(35) NOT NULL default '',
   t2 char(3) NOT NULL default '',
   District char(20) NOT NULL default '',
-  Population int(11) NOT NULL default '0',
+  Population int NOT NULL default '0',
   PRIMARY KEY  (ID)
 ) ENGINE=MyISAM;
 
@@ -605,15 +605,15 @@
   Continent enum('Asia','Europe','North America','Africa','Oceania','Antarctica','South America') NOT NULL default 'Asia',
   Region char(26) NOT NULL default '',
   SurfaceArea float(10,2) NOT NULL default '0.00',
-  IndepYear smallint(6) default NULL,
-  Population int(11) NOT NULL default '0',
+  IndepYear smallint default NULL,
+  Population int NOT NULL default '0',
   LifeExpectancy float(3,1) default NULL,
   GNP float(10,2) default NULL,
   GNPOld float(10,2) default NULL,
   LocalName char(45) NOT NULL default '',
   GovernmentForm char(45) NOT NULL default '',
   HeadOfState char(60) default NULL,
-  Capital int(11) default NULL,
+  Capital int default NULL,
   Code2 char(2) NOT NULL default '',
   PRIMARY KEY  (Code)
 ) ENGINE=MyISAM;
@@ -629,7 +629,7 @@
 # constants in IN
 #
 CREATE TABLE `t1` (
-  `id` bigint(8) unsigned NOT NULL auto_increment,
+  `id` bigint unsigned NOT NULL auto_increment,
   `pseudo` varchar(35) character set latin1 NOT NULL default '',
   PRIMARY KEY  (`id`),
   UNIQUE KEY `pseudo` (`pseudo`)
@@ -643,7 +643,7 @@
 drop table t1;
 
 CREATE TABLE `t1` (
-  `i` int(11) NOT NULL default '0',
+  `i` int NOT NULL default '0',
   PRIMARY KEY  (`i`)
 ) ENGINE=MyISAM CHARSET=latin1;
 
@@ -659,11 +659,11 @@
 # Multi update test
 #
 CREATE TABLE t1 (
-  id int(11) default NULL
+  id int default NULL
 ) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 VALUES (1),(1),(2),(2),(1),(3);
 CREATE TABLE t2 (
-  id int(11) default NULL,
+  id int default NULL,
   name varchar(15) default NULL
 ) ENGINE=MyISAM CHARSET=latin1;
 
@@ -689,10 +689,10 @@
 drop table t1;
 
 CREATE TABLE t1 (
-  ID int(10) unsigned NOT NULL auto_increment,
-  SUB_ID int(3) unsigned NOT NULL default '0',
-  REF_ID int(10) unsigned default NULL,
-  REF_SUB int(3) unsigned default '0',
+  ID int unsigned NOT NULL auto_increment,
+  SUB_ID int unsigned NOT NULL default '0',
+  REF_ID int unsigned default NULL,
+  REF_SUB int unsigned default '0',
   PRIMARY KEY (ID,SUB_ID),
   UNIQUE KEY t1_PK (ID,SUB_ID),
   KEY t1_FK (REF_ID,REF_SUB),
@@ -721,7 +721,7 @@
 #
 
 CREATE TABLE `t1` (
-  `id` bigint(8) unsigned NOT NULL auto_increment,
+  `id` bigint unsigned NOT NULL auto_increment,
   `pseudo` varchar(35) NOT NULL default '',
   `email` varchar(60) NOT NULL default '',
   PRIMARY KEY  (`id`),
@@ -900,13 +900,13 @@
 # correct used_tables()
 #
 
-CREATE TABLE `t1` ( `id` bigint(9) NOT NULL auto_increment, `taskid` bigint(20) NOT NULL default '0', `dbid` int(11) NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
+CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
 INSERT INTO `t1` (`id`, `taskid`, `dbid`, `create_date`,`last_update`) VALUES (1, 1, 15, '2003-09-29 10:31:36', '2003-09-29 10:31:36'), (2, 1, 21, now(), now());
-CREATE TABLE `t2` (`db_id` int(11) NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint(6) NOT NULL default '0',`secondary_uid` smallint(6) NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
+CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
 INSERT INTO `t2` (`db_id`, `name`, `primary_uid`, `secondary_uid`) VALUES (18, 'Not Set 1', 0, 0),(19, 'Valid', 1, 2),(20, 'Valid 2', 1, 2),(21, 'Should Not Return', 1, 2),(26, 'Not Set 2', 0, 0),(-1, 'ALL DB\'S', 0, 0);
-CREATE TABLE `t3` (`taskgenid` bigint(9) NOT NULL auto_increment,`dbid` int(11) NOT NULL default '0',`taskid` int(11) NOT NULL default '0',`mon` tinyint(4) NOT NULL default '1',`tues` tinyint(4) NOT NULL default '1',`wed` tinyint(4) NOT NULL default '1',`thur` tinyint(4) NOT NULL default '1',`fri` tinyint(4) NOT NULL default '1',`sat` tinyint(4) NOT NULL default '0',`sun` tinyint(4) NOT NULL default '0',`how_often` smallint(6) NOT NULL default '1',`userid` smallint(6) NOT NULL default '0',`active` tinyint(4) NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
+CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
 INSERT INTO `t3` (`taskgenid`, `dbid`, `taskid`, `mon`, `tues`,`wed`, `thur`, `fri`, `sat`, `sun`, `how_often`, `userid`, `active`) VALUES (1,-1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1);
-CREATE TABLE `t4` (`task_id` smallint(6) NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO `t4` (`task_id`, `description`) VALUES (1, 'Daily Check List'),(2, 'Weekly Status');
 select  dbid, name, (date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01') from t3 a, t2 b, t4  WHERE dbid = - 1 AND primary_uid = '1' AND t4.task_id = taskid;
 SELECT dbid, name FROM t3 a, t2 b, t4 WHERE dbid = - 1 AND primary_uid = '1' AND ((date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01')) AND t4.task_id = taskid;
@@ -915,9 +915,9 @@
 #
 # cardinality check
 #
-CREATE TABLE t1 (id int(11) default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t1 VALUES (1),(5);
-CREATE TABLE t2 (id int(11) default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
 INSERT INTO t2 VALUES (2),(6);
 -- error 1241
 select * from t1 where (1,2,6) in (select * from t2);
@@ -966,7 +966,7 @@
 SELECT DISTINCT COLC FROM t1 WHERE COLA = (SELECT COLA FROM t2 WHERE COLB = 200 AND COLC ='C' LIMIT 1);
 DROP TABLE t1, t2;
 
-CREATE TABLE t1 (a int(1));
+CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (1),(1),(1),(1),(1),(2),(3),(4),(5);
 SELECT DISTINCT (SELECT a) FROM t1 LIMIT 100;
 DROP TABLE t1;
@@ -976,21 +976,21 @@
 #
 
 CREATE TABLE `t1` (
-  `id` int(11) NOT NULL auto_increment,
-  `id_cns` tinyint(3) unsigned NOT NULL default '0',
+  `id` int NOT NULL auto_increment,
+  `id_cns` tinyint unsigned NOT NULL default '0',
   `tipo` enum('','UNO','DUE') NOT NULL default '',
-  `anno_dep` smallint(4) unsigned NOT NULL default '0',
-  `particolare` bigint(8) unsigned NOT NULL default '0',
-  `generale` bigint(8) unsigned NOT NULL default '0',
-  `bis` tinyint(3) unsigned NOT NULL default '0',
+  `anno_dep` smallint unsigned NOT NULL default '0',
+  `particolare` bigint unsigned NOT NULL default '0',
+  `generale` bigint unsigned NOT NULL default '0',
+  `bis` tinyint unsigned NOT NULL default '0',
   PRIMARY KEY  (`id`),
   UNIQUE KEY `idx_cns_gen_anno` (`anno_dep`,`id_cns`,`generale`,`particolare`),
   UNIQUE KEY `idx_cns_par_anno` (`id_cns`,`anno_dep`,`tipo`,`particolare`,`bis`)
 );
 INSERT INTO `t1` VALUES (1,16,'UNO',1987,2048,9681,0),(2,50,'UNO',1987,1536,13987,0),(3,16,'UNO',1987,2432,14594,0),(4,16,'UNO',1987,1792,13422,0),(5,16,'UNO',1987,1025,10240,0),(6,16,'UNO',1987,1026,7089,0);
 CREATE TABLE `t2` (
-  `id` tinyint(3) unsigned NOT NULL auto_increment,
-  `max_anno_dep` smallint(6) unsigned NOT NULL default '0',
+  `id` tinyint unsigned NOT NULL auto_increment,
+  `max_anno_dep` smallint unsigned NOT NULL default '0',
   PRIMARY KEY  (`id`)
 );
 INSERT INTO `t2` VALUES (16,1987),(50,1990),(51,1990);
@@ -1268,9 +1268,9 @@
 # Test problem with NULL and derived tables (Bug #4097)
 #
 
-CREATE TABLE t1 (id int(11) default NULL,name varchar(10) default NULL);
+CREATE TABLE t1 (id int default NULL,name varchar(10) default NULL);
 INSERT INTO t1 VALUES (1,'Tim'),(2,'Rebecca'),(3,NULL);
-CREATE TABLE t2 (id int(11) default NULL, pet varchar(10) default NULL);
+CREATE TABLE t2 (id int default NULL, pet varchar(10) default NULL);
 INSERT INTO t2 VALUES (1,'Fido'),(2,'Spot'),(3,'Felix');
 SELECT a.*, b.* FROM (SELECT * FROM t1) AS a JOIN t2 as b on a.id=b.id;
 drop table t1,t2;
@@ -1278,9 +1278,9 @@
 #
 # Aggregate function comparation with ALL/ANY/SOME subselect
 #
-CREATE TABLE `t1` ( `a` int(11) default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 insert into t1 values (1);
-CREATE TABLE `t2` ( `b` int(11) default NULL, `a` int(11) default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 insert into t2 values (1,2);
 select t000.a, count(*) `C` FROM t1 t000 GROUP BY t000.a HAVING count(*) > ALL (SELECT count(*) FROM t2 t001 WHERE t001.a=1);
 drop table t1,t2;
@@ -1300,8 +1300,8 @@
 #
 # Optimized IN with compound index
 #
-CREATE TABLE `t1` ( `aid` int(11) NOT NULL default '0', `bid` int(11) NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
-CREATE TABLE `t2` ( `aid` int(11) NOT NULL default '0', `bid` int(11) NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
+CREATE TABLE `t1` ( `aid` int NOT NULL default '0', `bid` int NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
+CREATE TABLE `t2` ( `aid` int NOT NULL default '0', `bid` int NOT NULL default '0', PRIMARY KEY  (`aid`,`bid`));
 insert into t1 values (1,1),(1,2),(2,1),(2,2);
 insert into t2 values (1,2),(2,2);
 select * from t1 where t1.aid not in (select aid from t2 where bid=t1.bid);
@@ -1334,9 +1334,9 @@
 # Test of correct maybe_null flag returning by subquwery for temporary table
 # creation
 #
-CREATE TABLE `t1` ( `master` int(10) unsigned NOT NULL default '0', `map` smallint(6) unsigned NOT NULL default '0', `slave` int(10) unsigned NOT NULL default '0', `access` int(10) unsigned NOT NULL default '0', UNIQUE KEY `access_u` (`master`,`map`,`slave`));
+CREATE TABLE `t1` ( `master` int unsigned NOT NULL default '0', `map` smallint unsigned NOT NULL default '0', `slave` int unsigned NOT NULL default '0', `access` int unsigned NOT NULL default '0', UNIQUE KEY `access_u` (`master`,`map`,`slave`));
 INSERT INTO `t1` VALUES (1,0,0,700),(1,1,1,400),(1,5,5,400),(1,12,12,400),(1,12,32,400),(4,12,32,400);
-CREATE TABLE `t2` ( `id` int(10) unsigned NOT NULL default '0', `pid` int(10) unsigned NOT NULL default '0', `map` smallint(6) unsigned NOT NULL default '0', `level` tinyint(4) unsigned NOT NULL default '0', `title` varchar(255) default NULL, PRIMARY KEY  (`id`,`pid`,`map`), KEY `level` (`level`), KEY `id` (`id`,`map`)) ;
+CREATE TABLE `t2` ( `id` int unsigned NOT NULL default '0', `pid` int unsigned NOT NULL default '0', `map` smallint unsigned NOT NULL default '0', `level` tinyint unsigned NOT NULL default '0', `title` varchar(255) default NULL, PRIMARY KEY  (`id`,`pid`,`map`), KEY `level` (`level`), KEY `id` (`id`,`map`)) ;
 INSERT INTO `t2` VALUES (6,5,12,7,'a'),(12,0,0,7,'a'),(12,1,0,7,'a'),(12,5,5,7,'a'),(12,5,12,7,'a');
 -- error 1054
 SELECT b.sc FROM (SELECT (SELECT a.access FROM t1 a WHERE a.map = op.map AND a.slave = op.pid AND a.master = 1) ac FROM t2 op WHERE op.id = 12 AND op.map = 0) b;
@@ -1386,15 +1386,15 @@
   Continent enum('Asia','Europe','North America','Africa','Oceania','Antarctica','South America') NOT NULL default 'Asia',
   Region char(26) NOT NULL default '',
   SurfaceArea float(10,2) NOT NULL default '0.00',
-  IndepYear smallint(6) default NULL,
-  Population int(11) NOT NULL default '0',
+  IndepYear smallint default NULL,
+  Population int NOT NULL default '0',
   LifeExpectancy float(3,1) default NULL,
   GNP float(10,2) default NULL,
   GNPOld float(10,2) default NULL,
   LocalName char(45) NOT NULL default '',
   GovernmentForm char(45) NOT NULL default '',
   HeadOfState char(60) default NULL,
-  Capital int(11) default NULL,
+  Capital int default NULL,
   Code2 char(2) NOT NULL default ''
 ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES ('XXX','Xxxxx','Oceania','Xxxxxx',26.00,0,0,0,0,0,'Xxxxx','Xxxxx','Xxxxx',NULL,'XX');
@@ -1460,8 +1460,8 @@
 # Test for BUG#8218
 #
 CREATE TABLE t1 (
-  categoryId int(11) NOT NULL,
-  courseId int(11) NOT NULL,
+  categoryId int NOT NULL,
+  courseId int NOT NULL,
   startDate datetime NOT NULL,
   endDate datetime NOT NULL,
   createDate datetime NOT NULL,
@@ -1479,8 +1479,8 @@
 (5,12,'2004-02-18','2010-01-01','2004-02-18','2004-02-18','');
 
 CREATE TABLE t2 (
-  userId int(11) NOT NULL,
-  courseId int(11) NOT NULL,
+  userId int NOT NULL,
+  courseId int NOT NULL,
   date datetime NOT NULL
 );
 INSERT INTO t2 VALUES (5141,71,'2003-11-18'),
@@ -1492,22 +1492,22 @@
 
 
 CREATE TABLE t3 (
-  groupId int(11) NOT NULL,
-  parentId int(11) NOT NULL,
+  groupId int NOT NULL,
+  parentId int NOT NULL,
   startDate datetime NOT NULL,
   endDate datetime NOT NULL,
   createDate datetime NOT NULL,
   modifyDate timestamp NOT NULL,
-  ordering int(11)
+  ordering int
 );
 INSERT INTO t3 VALUES (12,9,'1000-01-01','3999-12-31','2004-01-29','2004-01-29',NULL);
 
 CREATE TABLE t4 (
-  id int(11) NOT NULL,
-  groupTypeId int(11) NOT NULL,
+  id int NOT NULL,
+  groupTypeId int NOT NULL,
   groupKey varchar(50) NOT NULL,
   name text,
-  ordering int(11),
+  ordering int,
   description text,
   createDate datetime NOT NULL,
   modifyDate timestamp NOT NULL
@@ -1516,8 +1516,8 @@
 (12,5,'group2','group2',0,'group2','2004-01-29','2004-01-29');
 
 CREATE TABLE t5 (
-  userId int(11) NOT NULL,
-  groupId int(11) NOT NULL,
+  userId int NOT NULL,
+  groupId int NOT NULL,
   createDate datetime NOT NULL,
   modifyDate timestamp NOT NULL
 );
@@ -1588,9 +1588,9 @@
 # Item_int_with_ref check (BUG#10020)
 #
 CREATE TABLE `t1` (
-  `itemid` bigint(20) unsigned NOT NULL auto_increment,
-  `sessionid` bigint(20) unsigned default NULL,
-  `time` int(10) unsigned NOT NULL default '0',
+  `itemid` bigint unsigned NOT NULL auto_increment,
+  `sessionid` bigint unsigned default NULL,
+  `time` int unsigned NOT NULL default '0',
   `type` set('A','D','E','F','G','I','L','N','U') collate latin1_general_ci NOT
 NULL default '',
   `data` text collate latin1_general_ci NOT NULL,
@@ -1598,9 +1598,9 @@
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
 INSERT INTO `t1` VALUES (1, 1, 1, 'D', '');
 CREATE TABLE `t2` (
-  `sessionid` bigint(20) unsigned NOT NULL auto_increment,
-  `pid` int(10) unsigned NOT NULL default '0',
-  `date` int(10) unsigned NOT NULL default '0',
+  `sessionid` bigint unsigned NOT NULL auto_increment,
+  `pid` int unsigned NOT NULL default '0',
+  `date` int unsigned NOT NULL default '0',
   `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
   PRIMARY KEY  (`sessionid`)
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
@@ -1711,7 +1711,7 @@
 #
 create table t1 (
   retailerID varchar(8) NOT NULL,
-  statusID   int(10) unsigned NOT NULL,
+  statusID   int unsigned NOT NULL,
   changed    datetime NOT NULL,
   UNIQUE KEY retailerID (retailerID, statusID, changed)
 );
@@ -1902,7 +1902,7 @@
 drop table t1;
 
 CREATE TABLE t1 (
-  grp int(11) default NULL,
+  grp int default NULL,
   a decimal(10,2) default NULL);
 
 insert into t1 values (1, 1), (2, 2), (2, 3), (3, 4), (3, 5), (3, 6), (NULL, NULL);
@@ -1959,9 +1959,9 @@
 # Item_int_with_ref check (BUG#10020)
 #
 CREATE TABLE `t1` (
-  `itemid` bigint(20) unsigned NOT NULL auto_increment,
-  `sessionid` bigint(20) unsigned default NULL,
-  `time` int(10) unsigned NOT NULL default '0',
+  `itemid` bigint unsigned NOT NULL auto_increment,
+  `sessionid` bigint unsigned default NULL,
+  `time` int unsigned NOT NULL default '0',
   `type` set('A','D','E','F','G','I','L','N','U') collate latin1_general_ci NOT
 NULL default '',
   `data` text collate latin1_general_ci NOT NULL,
@@ -1969,9 +1969,9 @@
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
 INSERT INTO `t1` VALUES (1, 1, 1, 'D', '');
 CREATE TABLE `t2` (
-  `sessionid` bigint(20) unsigned NOT NULL auto_increment,
-  `pid` int(10) unsigned NOT NULL default '0',
-  `date` int(10) unsigned NOT NULL default '0',
+  `sessionid` bigint unsigned NOT NULL auto_increment,
+  `pid` int unsigned NOT NULL default '0',
+  `date` int unsigned NOT NULL default '0',
   `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
   PRIMARY KEY  (`sessionid`)
 ) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
@@ -2184,7 +2184,7 @@
 #
 
 CREATE TABLE t1 (
-  id bigint(20) unsigned NOT NULL auto_increment,
+  id bigint unsigned NOT NULL auto_increment,
   name varchar(255) NOT NULL,
   PRIMARY KEY  (id)
 );
@@ -2192,8 +2192,8 @@
   (1, 'Balazs'), (2, 'Joe'), (3, 'Frank');
 
 CREATE TABLE t2 (
-  id bigint(20) unsigned NOT NULL auto_increment,
-  mid bigint(20) unsigned NOT NULL,
+  id bigint unsigned NOT NULL auto_increment,
+  mid bigint unsigned NOT NULL,
   date date NOT NULL,
   PRIMARY KEY  (id)
 );
@@ -2224,8 +2224,8 @@
 #
 
 CREATE TABLE t1 (
-  i1 int(11) NOT NULL default '0',
-  i2 int(11) NOT NULL default '0',
+  i1 int NOT NULL default '0',
+  i2 int NOT NULL default '0',
   t datetime NOT NULL default '0000-00-00 00:00:00',
   PRIMARY KEY  (i1,i2,t)
 );
@@ -2238,8 +2238,8 @@
 (24,2,'2005-05-27 12:40:06');
 
 CREATE TABLE t2 (
-  i1 int(11) NOT NULL default '0',
-  i2 int(11) NOT NULL default '0',
+  i1 int NOT NULL default '0',
+  i2 int NOT NULL default '0',
   t datetime default NULL,
   PRIMARY KEY  (i1)
 );
@@ -2392,18 +2392,18 @@
 --enable_warnings
 
 CREATE TABLE t1 (
-  id_1 int(5) NOT NULL,
+  id_1 int NOT NULL,
   t varchar(4) DEFAULT NULL
 );
 
 CREATE TABLE t2 (
-  id_2 int(5) NOT NULL,
+  id_2 int NOT NULL,
   t varchar(4) DEFAULT NULL
 );
 
 CREATE TABLE t1xt2 (
-  id_1 int(5) NOT NULL,
-  id_2 int(5) NOT NULL
+  id_1 int NOT NULL,
+  id_2 int NOT NULL
 );
 
 INSERT INTO t1 VALUES (1, 'a'), (2, 'b'), (3, 'c'), (4, 'd');

=== modified file 'tests/t/subselect_innodb.test'
--- tests/t/subselect_innodb.test	2008-06-25 05:29:13 +0000
+++ tests/t/subselect_innodb.test	2008-07-28 19:08:55 +0000
@@ -73,16 +73,16 @@
 # innodb locking
 #
 CREATE TABLE t1 (
-  id int(11) NOT NULL default '0',
-  b int(11) default NULL,
+  id int NOT NULL default '0',
+  b int default NULL,
   c char(3) default NULL,
   PRIMARY KEY  (id),
   KEY t2i1 (b)
 ) ENGINE=innodb DEFAULT CHARSET=latin1;
 INSERT INTO t1 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 CREATE TABLE t2 (
-  id int(11) NOT NULL default '0',
-  b int(11) default NULL,
+  id int NOT NULL default '0',
+  b int default NULL,
   c char(3) default NULL,
   PRIMARY KEY  (id),
   KEY t2i (b)

=== modified file 'tests/t/update.test'
--- tests/t/update.test	2008-06-25 05:29:13 +0000
+++ tests/t/update.test	2008-07-28 19:08:55 +0000
@@ -24,13 +24,13 @@
 
 CREATE TABLE t1
  (
- place_id int (10) unsigned NOT NULL,
- shows int(10) unsigned DEFAULT '0' NOT NULL,
- ishows int(10) unsigned DEFAULT '0' NOT NULL,
- ushows int(10) unsigned DEFAULT '0' NOT NULL,
- clicks int(10) unsigned DEFAULT '0' NOT NULL,
- iclicks int(10) unsigned DEFAULT '0' NOT NULL,
- uclicks int(10) unsigned DEFAULT '0' NOT NULL,
+ place_id int unsigned NOT NULL,
+ shows int unsigned DEFAULT '0' NOT NULL,
+ ishows int unsigned DEFAULT '0' NOT NULL,
+ ushows int unsigned DEFAULT '0' NOT NULL,
+ clicks int unsigned DEFAULT '0' NOT NULL,
+ iclicks int unsigned DEFAULT '0' NOT NULL,
+ uclicks int unsigned DEFAULT '0' NOT NULL,
  ts timestamp,
  PRIMARY KEY (place_id,ts)
  );
@@ -46,20 +46,20 @@
 #
 
 CREATE TABLE t1 (
-  lfdnr int(10) unsigned NOT NULL default '0',
-  ticket int(10) unsigned NOT NULL default '0',
+  lfdnr int unsigned NOT NULL default '0',
+  ticket int unsigned NOT NULL default '0',
   client varchar(255) NOT NULL default '',
   replyto varchar(255) NOT NULL default '',
   subject varchar(100) NOT NULL default '',
-  timestamp int(10) unsigned NOT NULL default '0',
+  timestamp int unsigned NOT NULL default '0',
   tstamp timestamp NOT NULL,
-  status int(3) NOT NULL default '0',
+  status int NOT NULL default '0',
   type varchar(15) NOT NULL default '',
-  assignment int(10) unsigned NOT NULL default '0',
-  fupcount int(4) unsigned NOT NULL default '0',
-  parent int(10) unsigned NOT NULL default '0',
-  activity int(10) unsigned NOT NULL default '0',
-  priority tinyint(1) unsigned NOT NULL default '1',
+  assignment int unsigned NOT NULL default '0',
+  fupcount int unsigned NOT NULL default '0',
+  parent int unsigned NOT NULL default '0',
+  activity int unsigned NOT NULL default '0',
+  priority tinyint unsigned NOT NULL default '1',
   cc varchar(255) NOT NULL default '',
   bcc varchar(255) NOT NULL default '',
   body text NOT NULL,
@@ -75,7 +75,7 @@
 
 INSERT INTO t1 VALUES (773,773,'','','',980257344,20010318180652,0,'Open',10,0,0,0,1,'','','','','');
 
-alter table t1 change lfdnr lfdnr int(10) unsigned not null auto_increment;
+alter table t1 change lfdnr lfdnr int unsigned not null auto_increment;
 update t1 set status=1 where type='Open';
 select status from t1;
 drop table t1;
@@ -103,9 +103,9 @@
 #
 
 CREATE TABLE t1 (
-   `id_param` smallint(3) unsigned NOT NULL default '0',
+   `id_param` smallint unsigned NOT NULL default '0',
    `nom_option` char(40) NOT NULL default '',
-   `valid` tinyint(1) NOT NULL default '0',
+   `valid` tinyint NOT NULL default '0',
    KEY `id_param` (`id_param`,`nom_option`)
  ) ENGINE=MyISAM;
 
@@ -134,17 +134,17 @@
 #
 
 CREATE TABLE t1 ( 
-   `colA` int(10) unsigned NOT NULL auto_increment,
-   `colB` int(11) NOT NULL default '0',
+   `colA` int unsigned NOT NULL auto_increment,
+   `colB` int NOT NULL default '0',
    PRIMARY KEY  (`colA`)
 );
 INSERT INTO t1 VALUES (4433,5424);
 CREATE TABLE t2 (
-  `colC` int(10) unsigned NOT NULL default '0',
-  `colA` int(10) unsigned NOT NULL default '0',
-  `colD` int(10) unsigned NOT NULL default '0',
-  `colE` int(10) unsigned NOT NULL default '0',
-  `colF` int(10) unsigned NOT NULL default '0',
+  `colC` int unsigned NOT NULL default '0',
+  `colA` int unsigned NOT NULL default '0',
+  `colD` int unsigned NOT NULL default '0',
+  `colE` int unsigned NOT NULL default '0',
+  `colF` int unsigned NOT NULL default '0',
   PRIMARY KEY  (`colC`,`colA`,`colD`,`colE`)
 );
 INSERT INTO t2 VALUES (3,4433,10005,495,500);
@@ -357,7 +357,7 @@
 #
 CREATE TABLE t1 (
 
-  a INT(11),
+  a int,
   quux decimal( 31, 30 ),
 
   UNIQUE KEY bar (a),

